<?php
/**
Theme Designed By: Herowp
Email: herowp.ir@gmail.com
Author Website: https://www.rtl-theme.com/user-profile/ah-ashrafi/
 */

if (! class_exists('Redux')) {
    return;
}

// This is your option name where all the Redux data is stored.
$opt_name = "herowp_option";

$herowp_selectors = herowp_get_config('selectors');

/**
 * ---> SET ARGUMENTS
 * All the possible arguments for Redux.
 * For full documentation on arguments, please refer to: https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments
 * */

$theme = wp_get_theme();

// get all header and footer
$header_posts = get_posts([
    'post_type' => 'herowpheader',
    'post_status' => 'publish',
    'numberposts' => -1
]);
$headers = array();
foreach ($header_posts as $key => $value) {
    if (empty($value->post_title)) {
        $headers[$value->ID] = 'بدون عنوان';
    } else {
        $headers[$value->ID] = $value->post_title;
    }
}

$footer_posts = get_posts([
    'post_type' => 'herowpfooter',
    'post_status' => 'publish',
    'numberposts' => -1
]);
$footers = array();
foreach ($footer_posts as $key => $value) {
    if (empty($value->post_title)) {
        $footers[$value->ID] = 'بدون عنوان';
    } else {
        $footers[$value->ID] = $value->post_title;
    }
}


$herowp_social_networks_shortcode = "
<code style='font-size: 10px; display: inline-block; margin-top: 10px;'>[social_networks]</code><br>
<code style='font-size: 10px; display: inline-block; margin-top: 10px;'>[social_networks rounded]</code><br>
<code style='font-size: 10px; display: inline-block; margin-top: 10px;'>[social_networks light]</code><br>";

$args = array(
    'opt_name'             => $opt_name,
    'display_name'         => 'امپراطور',
    'display_version'      => $theme->get('Version'),
    'menu_type'            => 'menu',
    'allow_sub_menu'       => true,
    'menu_title'           => esc_html__('Theme Settings', 'emperor'),
    'page_title'           => esc_html__('Theme Settings', 'emperor'),
    'google_api_key'       => '',
    'google_update_weekly' => false,
    'async_typography'     => false,
    'admin_bar'            => true,
    'admin_bar_icon'       => 'dashicons-laptop',
    'admin_bar_priority'   => 50,
    'global_variable'      => '',
    'dev_mode'             => false,
    'show_options_object'  => false,
    'update_notice'        => true,
    'customizer'           => true,
    'disable_tracking'     => true,

    // OPTIONAL -> Give you extra features
    'page_priority'        => 61,
    'page_parent'          => 'themes.php',
    'page_permissions'     => 'manage_options',
    'menu_icon'            => 'dashicons-laptop',
    'last_tab'             => '',
    'page_icon'            => 'icon-themes',
    'page_slug'            => 'theme-options',
    'save_defaults'        => true,
    'default_show'         => false,
    'default_mark'         => '',
    'show_import_export'   => true,

    // CAREFUL -> These options are for advanced use only
    'transient_time'       => 60 * MINUTE_IN_SECONDS,
    'output'               => true,
    'output_tag'           => true,
    'database'             => '',
    'use_cdn'              => true,
    // HINTS
    'hints'                => array(
        'icon'          => 'el-question-sign',
        'icon_position' => 'right',
        'icon_color'    => 'lightgray',
        'icon_size'     => 'normal',
        'tip_style'     => array(
            'color'   => 'red',
            'shadow'  => true,
            'rounded' => false,
            'style'   => '',
        ),
        'tip_position'  => array(
            'my' => 'top left',
            'at' => 'bottom right',
        ),
        'tip_effect'    => array(
            'show' => array(
                'effect'   => 'slide',
                'duration' => '500',
                'event'    => 'mouseover',
            ),
            'hide' => array(
                'effect'   => 'slide',
                'duration' => '500',
                'event'    => 'click mouseleave',
            ),
        ),
    )

);

Redux::setArgs($opt_name, $args);

/*
 * ---> END ARGUMENTS
 */


/*
 *
 * ---> START SECTIONS
 *
 */

# General Settings
Redux::setSection($opt_name, array(
    'title'             => esc_html__('General', 'emperor'),
    'id'                => 'herowp_general',
    'desc'              => '',
    'customizer_width'  => '400px',
    'submenu'           => true,
    'icon'              => 'el-icon-home',
    'fields' => array(
        array(
            'id' => 'favicon',
            'type' => 'media',
            'desc' => esc_html__('Upload image: png, ico', 'emperor'),
            'operator' => 'and',
            'title' => esc_html__('Favicon image', 'emperor'),
        ),
        array(
            'id' => 'favicon_retina',
            'type' => 'media',
            'desc' => esc_html__('Upload image: png, ico', 'emperor'),
            'operator' => 'and',
            'title' => esc_html__('Favicon retina image', 'emperor')
        ),
        array(
            'id'       => 'herowp_preloader',
            'type'     => 'switch',
            'title'    => esc_html__('Enable Preloader', 'emperor'),
            'default'  => false
        ),
        array(
            'id'       => 'preloader_icon',
            'type'     => 'select',
            'title'    => esc_html__('Enable Preloader', 'emperor'),
            'default'  => 'circle',
            'options'   => array(
                'circle' => esc_html__('Circle', 'emperor'),
                'square-boxes' => esc_html__('Square Boxes', 'emperor'),
                'dots' => esc_html__('نقطه ای', 'emperor')
            ),
            'required' => array('herowp_preloader', '=', true),
            'select2'   => array('allowClear' => false)
        ),
        /*array(
            'id'        => 'google_api_key',
            'type'      => 'text',
            'title'     => esc_html__( 'Google API Key', 'emperor' ),
            'description' => esc_html__( 'Enter here the secret api key you have created on Google APIs', 'emperor' )
        )*/
    )
));

# Notification Bar
Redux::setSection($opt_name, array(
    'title'             => esc_html__('نوار اعلان', 'emperor'),
    'id'                => 'notification_bar_settings',
    'desc'              => esc_html__('تنظیمات نوار اعلان در ایجا قرار دارد.', 'emperor'),
    'customizer_width'  => '400px',
    'icon'              => 'el el-bullhorn',
    'fields'            => array(
        array(
            'id'        => 'notification_bar_visibility',
            'type'      => 'switch',
            'title'     => esc_html__('نمایش نوار اعلان', 'emperor'),
            'subtitle'  => esc_html__('نوار اعلان بالای سایت نمایش داده شود یا خیر؟', 'emperor'),
            'default'   => true,
        ),
        array(
            'id'        => 'notification_bar_container',
            'type'      => 'switch',
            'title'     => esc_html__('تمام عرض', 'emperor'),
            'subtitle'  => esc_html__('نوار اعلان را تمام عرض کنید', 'emperor'),
            'default'   => true,
        ),
        array(
            'id'        => 'notification_bar_closable',
            'type'      => 'switch',
            'title'     => esc_html__('نمایش دائم', 'emperor'),
            'subtitle'  => esc_html__('اگر این گزینه فعال باشد پس از بسته شدن نوار اعلان توسط کاربر با لود مجدد نمایش داده می شود.', 'emperor'),
            'default'   => false,
        ),
        array(
            'id'        => 'notification_bar_height',
            'type'      => 'slider',
            'title'     => esc_html__('ارتفاع نوار اعلان', 'emperor'),
            "default"   => 60,
            "min"       => 40,
            "step"      => 1,
            "max"       => 90,
            'display_value' => 'label',
            'tags'     => 'notification-bar'
        ),
        array(
            'id'       => 'notification_bar_text',
            'type'     => 'text',
            'title'    => esc_html__('متن نوار اعلان', 'emperor'),
            'subtitle' => esc_html__('متن اصلی نوار اعلان', 'emperor'),
        ),
        array(
            'id'       => 'notification_bar_text_color',
            'type'     => 'color',
            'title'    => esc_html__('رنگ متن اصلی', 'emperor'),
            'validate' => 'color',
            'transparent' => false,
            'default'  => '#000',
        ),
        array(
            'id'       => 'notification_bar_background_color',
            'type'     => 'color',
            'title'    => esc_html__('رنگ پس زمینه', 'emperor'),
            'validate' => 'color',
            'transparent' => false,
            'default'  => '#f9a134',
        ),
        array(
            'id' => 'notification_bar_background',
            'type' => 'media',
            'desc' => esc_html__('آپلود تصویر:png, jpg', 'emperor'),
            'operator' => 'and',
            'title' => esc_html__('تصویر پس زمینه', 'emperor'),
        ),
        array(
            'id'       => 'notification_bar_btn',
            'type'     => 'switch',
            'title'    => esc_html__('نمایش دکمه نوار اعلان', 'emperor'),
            'default' => true
        ),
        array(
            'id'       => 'notification_bar_btn_text',
            'type'     => 'text',
            'title'    => esc_html__('متن دکمه', 'emperor'),
            'required' => array('notification_bar_btn', '=', true),
            'subtitle' => esc_html__('متن دکمه نوار اعلان', 'emperor'),
        ),
        array(
            'id'       => 'notification_bar_btn_url',
            'type'     => 'text',
            'title'    => esc_html__('لینک دکمه', 'emperor'),
            'required' => array('notification_bar_btn', '=', true),
            'subtitle' => esc_html__('لینک دکمه نوار اعلان', 'emperor'),
        ),
        array(
            'id'       => 'notification_bar_btn_color',
            'type'     => 'color',
            'title'    => esc_html__('رنگ دکمه', 'emperor'),
            'validate' => 'color',
            'transparent' => false,
            'default'  => '#fff',
            'required' => array('notification_bar_btn', '=', true),
        ),
        array(
            'id'       => 'notification_bar_btn_text_color',
            'type'     => 'color',
            'title'    => esc_html__('رنگ متن دکمه', 'emperor'),
            'validate' => 'color',
            'transparent' => false,
            'default'  => '#000',
            'required' => array('notification_bar_btn', '=', true),
        ),
    )
));

# Header Settings
Redux::setSection($opt_name, array(
    'title' => esc_html__('هدر', 'emperor'),
    'id' => 'header',
    'icon' => 'el-icon-wrench'
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('عمومی', 'emperor'),
    'id' => 'header_general',
    'subsection' => true,
    'fields' => array(
        array(
            'id'        => 'header_type',
            'type'      => 'select',
            'title'     => esc_html__('نوع هدر', 'emperor'),
            'default'   => 'default',
            'options'   => array(
                'default' => esc_html__('پیشفرض قالب', 'emperor'),
                'elementor' => esc_html__('المنتور', 'emperor'),
                'disable' => esc_html__('غیرفعال', 'emperor'),
            ),
            'select2'   => array('allowClear' => false)
        ),
        array(
            'id' => 'herowp-header',
            'type' => 'select',
            'title' => __('انتخاب هدر', 'emperor'),
            'required'  => array('header_type', '=', 'elementor'),
            'options' => $headers,
        ),
        array(
            'id'       => 'header_full_width',
            'type'     => 'switch',
            'title'    => esc_html__('تمام عرض', 'emperor'),
            'subtitle' => esc_html__('سربرگ را تمام عرض کنید.', 'emperor'),
            'default'  => false,
            'required'  => array('header_type', '=', 'default'),
        ),
        array(
            'id'       => 'header_sticky_menu',
            'type'     => 'switch',
            'title'    => esc_html__('منوی چسبان', 'emperor'),
            'subtitle' => esc_html__('فعال و غیر فعال کردن منوی سربرگ چسبان', 'emperor'),
            'default'  => true,
            'required'  => array('header_type', '=', 'default'),
        ),
        array(
            'id'        => 'header_height',
            'type'      => 'slider',
            'title'     => esc_html__('Header height', 'emperor'),
            "default"   => 112,
            "min"       => 40,
            "step"      => 1,
            "max"       => 220,
            'display_value' => 'label',
            'tags'     => 'header size logo height logo size',
            'required'  => array('header_type', '=', 'default'),
        ),
        array(
            'id' => 'custom_logo_image',
            'type' => 'media',
            'desc' => esc_html__('Upload image: png, jpg or gif file', 'emperor'),
            'operator' => 'and',
            'title' => esc_html__('Logo image', 'emperor'),
            'required'  => array('header_type', '=', 'default'),
        ),
        array(
            'id'        => 'logo_img_width',
            'type'      => 'slider',
            'title'     => esc_html__('Logo image maximum width (px)', 'emperor'),
            'desc'      => esc_html__('Set maximum width for logo image in the header. In pixels', 'emperor'),
            "default"   => 200,
            "min"       => 50,
            "step"      => 1,
            "max"       => 600,
            'display_value' => 'label',
            'tags'     => 'logo width logo size',
            'required'  => array('header_type', '=', 'default'),
        ),
        array(
            'id'             => 'logo_padding',
            'type'           => 'spacing',
            'mode'           => 'padding',
            'units'          => array('px'),
            'units_extended' => 'false',
            'title'          => esc_html__('Logo image padding', 'emperor'),
            'desc'           => esc_html__('Add some spacing around your logo image', 'emperor'),
            'default'            => array(
                'padding-top'     => '10px',
                'padding-right'   => '20px',
                'padding-bottom'  => '10px',
                'padding-left'    => '0px',
                'units'          => 'px',
            ),
            'tags'     => 'logo padding logo spacing',
            'select2'   => array('allowClear' => false),
            'required'  => array('header_type', '=', 'default'),
        ),
        array(
            'id'        => 'header_button',
            'type'      => 'switch',
            'title'     => esc_html__('Button on header', 'emperor'),
            'subtitle'  => esc_html__('Show/hide button on header right', 'emperor'),
            'default'   => true,
            'required'  => array('header_type', '=', 'default'),
        ),
        array(
            'id'        => 'header_button_type',
            'type'      => 'select',
            'title'     => esc_html__('نوع دکمه سربرگ', 'emperor'),
            'subtitle'  => esc_html__('نوع دکمه سربرگ لینک یا منو بازشو؟', 'emperor'),
            'default'   => 'dropdown',
            'options'   => array(
                'dropdown' => esc_html__('منو بازشو', 'emperor'),
                'link'  => esc_html__('لینک', 'emperor'),
            ),
            'required'  => array('header_button', '=', true),
            'select2'   => array('allowClear' => false),
        ),
        array(
            'id'        => 'header_button_link',
            'type'      => 'select',
            'title'     => esc_html__('Button Link', 'emperor'),
            'subtitle'  => esc_html__('Choose link you want to add on button', 'emperor'),
            'default'   => 'account',
            'options'   => array(
                'account' => esc_html__('Link to account', 'emperor'),
                'custom'  => esc_html__('Custom link', 'emperor'),
            ),
            'required'  => array('header_button_type', '=', 'link'),
            'select2'   => array('allowClear' => false)
        ),
        array(
            'id'        => 'header_button_custom_text_after_login',
            'type'      => 'text',
            'title'     => esc_html__('متن دکمه سربرگ بعد از لاگین', 'emperor'),
            'default'   => 'حساب کاربری',
            'required'  => array('header_button_link', '=', 'account'),
        ),
        array(
            'id'        => 'header_button_custom_text',
            'type'      => 'text',
            'title'     => esc_html__('Custom button text', 'emperor'),
            'required'  => array('header_button_link', '=', 'custom'),
        ),
        array(
            'id'        => 'header_button_custom_link',
            'type'      => 'text',
            'title'     => esc_html__('Custom button link', 'emperor'),
            'required'  => array('header_button_link', '=', 'custom'),
        ),
        array(
            'id'        => 'header_button_custom_link_after_login',
            'type'      => 'text',
            'title'     => esc_html__('لینک سفارشی بعد از لاگین', 'emperor'),
            'required'  => array('header_button_link', '=', 'custom'),
        ),
        array(
            'id'        => 'header_call',
            'type'      => 'switch',
            'title'     => esc_html__('نمایش و مخفی کردن دکمه تماس (مدال مشاوره)', 'emperor'),
            'default'   => true,
            'required'  => array('header_type', '=', 'default'),
        ),
        array(
            'id'        => 'header_cart',
            'type'      => 'switch',
            'title'     => esc_html__('Show/hide cart', 'emperor'),
            'default'   => true,
            'required'  => array('header_type', '=', 'default'),
        ),

        array(
            'id'        => 'topbar_display_opt',
            'type'      => 'switch',
            'title'     => esc_html__('Top Bar', 'emperor'),
            'subtitle'  => esc_html__('Information about the header', 'emperor'),
            'default'   => true,
            'required'  => array('header_type', '=', 'default'),
        ),
        array(
            'id'      => 'top_bar_phone',
            'type'    => 'text',
            'title'   => esc_html__('Phone Number', 'emperor'),
            'required'  => array('topbar_display_opt', '=', true),
        ),
        array(
            'id'      => 'top_bar_email',
            'type'    => 'text',
            'title'   => esc_html__('Email Address', 'emperor'),
            'required'  => array('topbar_display_opt', '=', true),
        ),
    ),
));

Redux::setSection($opt_name, array(
    'title' => esc_html__('عنوان صفحات', 'emperor'),
    'id' => 'header-title',
    'subsection' => true,
    'fields' => array(

        array(
            'id'       => 'header_text_color',
            'type'     => 'color',
            'title'    => esc_html__('رنگ متن ناحیه عنوان سربرگ', 'emperor'),
            'validate' => 'color',
            'transparent' => false,
            'output'   => $herowp_selectors['header_text_color'],
            'default'  => '#0a0909'
        ),

        array(
            'id'        => 'header_title_bg',
            'type'      => 'background',
            'title'     => esc_html__('رنگ پس زمینه ناحیه عنوان صفحات', 'emperor'),
            'background-image' => true,
            'background-position' => true,
            'background-attachment' => true,
            'background-size' => true,
            'background-repeat' => true,
            'preview' => true,
            'output'   => '.page-title',
            'default'  => array(
                'background-color' => '#ebeef1'
            ),

        ),



    )
));
Redux::setSection($opt_name, array(
    'title' => esc_html__('Mobile Navigation', 'emperor'),
    'id' => 'mobile-nav',
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'off_canvas_search',
            'type' => 'switch',
            'title' => esc_html__('Search on mobile', 'emperor'),
            'subtitle' => esc_html__('Show/hide search form on mobile navigation', 'emperor'),
            'default' => true
        ),
        array(
            'id' => 'off_canvas_footer',
            'type' => 'editor',
            'title' => esc_html__('Text or shortcode on mobile', 'emperor'),
            'subtitle' => esc_html__('Place here text you want to see in the mobile nav footer area. You can use shortocdes. Ex.: [social_buttons]', 'emperor')
        ),
    )
));
Redux::setSection($opt_name, array(
    'title'      => __('جستجو', 'emperor'),
    'id'         => 'layout-search',
    'subsection' => true,
    'fields'     => array(

        array(
            'id'        => 'header_search',
            'type'      => 'switch',
            'title'     => esc_html__('نمایش و مخفی کردن جستجو', 'emperor'),
            'default'   => true,
        ),

        array(
            'id'       => 'search-style',
            'type'     => 'button_set',
            'title'    => __('استایل جستجو', 'emperor'),
            'options' => array(
                '1' => 'زیگ زاگی',
                '2' => 'پیشفرض',
                '3' => 'ورقه ای',
                '4' => 'موج افقی',
                '5' => 'ماشین زمان',
                '6' => 'موج آرام',
            ),
            'default' => '2'
        ),

        array(
            'id'        => 'opt-slider-label',
            'type'      => 'slider',
            'title'     => __('لایه ها', 'emperor'),
            'subtitle'  => __('تعداد لایه های انیمیشن را انتخاب کنید', 'emperor'),
            "default"   => 3,
            "min"       => 1,
            "step"      => 1,
            "max"       => 4,
            'display_value' => 'label'
        ),

        array(
            'id' => 'overlay-section-start',
            'type' => 'section',
            'title' => __('رنگبندی لایه ها', 'emperor'),
            'indent' => false
        ),


        array(
            'id'       => 'overlay-color-1',
            'type'     => 'color_gradient',
            'title'    => __('رنگ لایه اول', 'emperor'),
            'validate' => 'color',
            'transparent' => false,
            'default'  => array(
                'from' => '#7d8dff',
                'to'   => '#ff4f81',
            ),
        ),
        array(
            'id'     => 'overlay-section-end',
            'type'   => 'section',
            'indent' => false,
        ),

        array(
            'id'       => 'overlay-color-2',
            'type'     => 'color_gradient',
            'title'    => __('رنگ لایه دوم', 'emperor'),
            'validate' => 'color',
            'transparent' => false,
            'default'  => array(
                'from' => '#ff4f81',
                'to'   => '#ff4f81',
            ),
            'required' => array('opt-slider-label','>=',2),
        ),
        array(
            'id'       => 'overlay-color-3',
            'type'     => 'color_gradient',
            'title'    => __('رنگ لایه سوم', 'emperor'),
            'validate' => 'color',
            'transparent' => false,
            'default'  => array(
                'from' => '#7d8dff',
                'to'   => '#7d8dff',
            ),
            'required' => array('opt-slider-label','>=',3),
        ),
        array(
            'id'       => 'overlay-color-4',
            'type'     => 'color_gradient',
            'title'    => __('رنگ لایه چهارم', 'emperor'),
            'validate' => 'color',
            'transparent' => false,
            'default'  => array(
                'from' => '#7d8dff',
                'to'   => '#ff4f81',
            ),
            'required' => array('opt-slider-label','>=',4),
        ),


    )
));

# Typography
Redux::setSection($opt_name, array(
    'title' => esc_html__('Typography', 'emperor'),
    'id' => 'typography',
    'icon' => 'el-icon-fontsize',
    'fields' => array(
        array(
            'id'             => 'font_body',
            'type'           => 'typography',
            'title'          => esc_html__('Body', 'emperor'),
            'compiler'       => true,
            'google'         => true,
            'font-backup'    => false,
            'font-weight'    => true,
            'all_styles'     => true,
            'text-align'     => true,
            'font-style'     => false,
            'font-family'     => false,
            'subsets'        => false,
            'font-size'      => true,
            'line-height'    => true,
            'word-spacing'   => false,
            'letter-spacing' => false,
            'color'          => true,
            'preview'        => true,
            'output'         => array( 'body' ),
            'units'          => 'px',
            'subtitle'       => esc_html__('Select custom font for your main body text.', 'emperor'),
            'default'        => array(
                'color'       => "#7d7e7f",
                'font-size'   => '15px',
                'line-height' => '24px',
                'font-family' => 'Iransans',
                'google'      => true,
                'font-backup' => "'MS Sans Serif', Geneva, sans-serif"
            )
        ),
        array(
            'id'             => 'menu_heading',
            'type'           => 'typography',
            'title'          => esc_html__('Menu', 'emperor'),
            'compiler'       => true,
            'google'         => true,
            'font-backup'    => false,
            'font-weight'    => true,
            'all_styles'     => true,
            'text-align'     => true,
            'font-family'     => false,
            'font-style'     => false,
            'subsets'        => false,
            'font-size'      => true,
            'line-height'    => true,
            'word-spacing'   => false,
            'letter-spacing' => false,
            'color'          => true,
            'preview'        => true,
            'output'         => array( '.herowp-navigation ul.menu>li>a, .herowp-navigation .menu>ul>li>a' ),
            'units'          => 'px',
            'subtitle'       => esc_html__('Select custom font for menu', 'emperor'),
            'default'        => array(
                'font-family' => 'Iransans',
                'font-weight' => '400',
                'font-size'   => '16px'
            )
        ),
        array(
            'id'             => 'submenu_font',
            'type'           => 'typography',
            'title'          => esc_html__('Sub Menu', 'emperor'),
            'compiler'       => true,
            'google'         => true,
            'font-backup'    => false,
            'font-weight'    => true,
            'font-family'     => false,
            'all_styles'     => true,
            'text-align'     => true,
            'font-style'     => false,
            'subsets'        => false,
            'font-size'      => true,
            'line-height'    => true,
            'word-spacing'   => false,
            'letter-spacing' => false,
            'color'          => true,
            'preview'        => true,
            'output'         => array( '.herowp-navigation ul.menu>li ul li>a, .herowp-navigation .menu>ul>li ul li>a' ),
            'units'          => 'px',
            'subtitle'       => esc_html__('Select custom font for sub menu', 'emperor'),
            'default'        => array(
                'font-family' => 'Iransans',
                'font-size' => '14px',
                'font-weight' => '400',
            )
        ),
        array(
            'id'             => 'h1_params',
            'type'           => 'typography',
            'title'          => esc_html__('H1', 'emperor'),
            'compiler'       => true,
            'google'         => true,
            'font-backup'    => false,
            'font-weight'    => true,
            'all_styles'     => true,
            'font-family'     => false,
            'text-align'     => true,
            'font-style'     => false,
            'subsets'        => false,
            'font-size'      => true,
            'line-height'    => true,
            'word-spacing'   => false,
            'letter-spacing' => false,
            'color'          => true,
            'preview'        => true,
            'output'         => array( 'h1,.h1' ),
            'units'          => 'px',
            'default'        => array(
                'font-size' => '26px',
                'font-weight' => '400',
                'color'       => '#464749',
                'font-family' => 'Iransans',
                'google'      => true,
            )
        ),
        array(
            'id'             => 'h2_params',
            'type'           => 'typography',
            'title'          => esc_html__('H2', 'emperor'),
            'compiler'       => true,
            'google'         => true,
            'font-backup'    => false,
            'font-weight'    => true,
            'all_styles'     => true,
            'text-align'     => true,
            'font-family'     => false,
            'font-style'     => false,
            'subsets'        => false,
            'font-size'      => true,
            'line-height'    => true,
            'word-spacing'   => false,
            'letter-spacing' => false,
            'color'          => true,
            'preview'        => true,
            'output'         => array( 'h2,.h2' ),
            'units'          => 'px',
            'default'        => array(
                'font-size' => '24px',
                'font-weight' => '400',
                'color'       => '#464749',
                'font-family' => 'Iransans',
                'google'      => true,
            )
        ),
        array(
            'id'             => 'h3_params',
            'type'           => 'typography',
            'title'          => esc_html__('H3', 'emperor'),
            'compiler'       => true,
            'google'         => true,
            'font-backup'    => false,
            'font-weight'    => true,
            'all_styles'     => true,
            'font-family'     => false,
            'text-align'     => true,
            'font-style'     => false,
            'subsets'        => false,
            'font-size'      => true,
            'line-height'    => true,
            'word-spacing'   => false,
            'letter-spacing' => false,
            'color'          => true,
            'preview'        => true,
            'output'         => array( 'h3,.h3' ),
            'units'          => 'px',
            'default'        => array(
                'font-size' => '22px',
                'font-weight' => '400',
                'color'       => '#464749',
                'font-family' => 'Iransans',
                'google'      => true,
            )
        ),
        array(
            'id'             => 'h4_params',
            'type'           => 'typography',
            'title'          => esc_html__('H4', 'emperor'),
            'compiler'       => true,
            'google'         => true,
            'font-backup'    => false,
            'font-family'     => false,
            'font-weight'    => true,
            'all_styles'     => true,
            'text-align'     => true,
            'font-style'     => false,
            'subsets'        => false,
            'font-size'      => true,
            'line-height'    => true,
            'word-spacing'   => false,
            'letter-spacing' => false,
            'color'          => true,
            'preview'        => true,
            'output'         => array( 'h4,.h4' ),
            'units'          => 'px',
            'default'        => array(
                'font-size' => '18px',
                'font-weight' => '500',
                'color'       => '#464749',
                'font-family' => 'Iransans',
                'google'      => true,
            )
        ),
        array(
            'id'             => 'h5_params',
            'type'           => 'typography',
            'title'          => esc_html__('H5', 'emperor'),
            'compiler'       => true,
            'google'         => true,
            'font-backup'    => false,
            'font-family'     => false,
            'font-weight'    => true,
            'all_styles'     => true,
            'text-align'     => true,
            'font-style'     => false,
            'subsets'        => false,
            'font-size'      => true,
            'line-height'    => true,
            'word-spacing'   => false,
            'letter-spacing' => false,
            'color'          => true,
            'preview'        => true,
            'output'         => array( 'h5,.h5' ),
            'units'          => 'px',
            'default'        => array(
                'font-size' => '18px',
                'font-weight' => '500',
                'color'       => '#464749',
                'font-family' => 'Iransans',
                'google'      => true,
            )
        ),
        array(
            'id'             => 'h6_params',
            'type'           => 'typography',
            'title'          => esc_html__('H6', 'emperor'),
            'compiler'       => true,
            'google'         => true,
            'font-backup'    => false,
            'font-weight'    => true,
            'all_styles'     => true,
            'font-family'     => false,
            'text-align'     => true,
            'font-style'     => false,
            'subsets'        => false,
            'font-size'      => true,
            'line-height'    => true,
            'word-spacing'   => false,
            'letter-spacing' => false,
            'color'          => true,
            'preview'        => true,
            'output'         => array( 'h6,.h6' ),
            'units'          => 'px',
            'default'        => array(
                'font-size' => '16px',
                'font-weight' => '500',
                'color'       => '#464749',
                'font-family' => 'Iransans',
                'google'      => true,
            )
        ),
    )
));

# Styling
Redux::setSection($opt_name, array(
    'title' => esc_html__('Styling', 'emperor'),
    'id' => 'colors',
    'icon' => 'el-icon-brush',
    'fields' => array(
        array(
            'id'       => 'primary_color',
            'type'     => 'color',
            'title'    => esc_html__('Primary Color', 'emperor'),
            'validate' => 'color',
            'transparent' => false,
            'output'   => $herowp_selectors['primary_color'],
            'default'  => '#f9a134'
        ),
        array(
            'id'       => 'secondary_color',
            'type'     => 'color',
            'title'    => esc_html__('Secondary Color', 'emperor'),
            'validate' => 'color',
            'transparent' => false,
            'output'   => $herowp_selectors['secondary_color'],
            'default'  => '#1e83f0'
        ),
        array(
            'title'		=> __('CSS سفارشی', 'emperor'),
            'subtitle'	=> __('کد css سفارشی خود را میتوانید ایجا قرار دهید تا به header سایت اضافه شود', 'emperor'),
            'id'		=> 'emperor_custom_css',
            'type'		=> 'ace_editor',
            'mode'		=> 'css',
        ),
        array(
            'title'		=> __('JS سفارشی', 'emperor'),
            'subtitle'	=> __('کد js سفارشی خود را میتوانید ایجا قرار دهید تا به footer سایت اضافه شود', 'emperor'),
            'id'		=> 'emperor_custom_js',
            'type'		=> 'ace_editor',
            'mode'		=> 'javascript',
        ),
    )
));


# Courses Settings
Redux::setSection($opt_name, array(
    'title' => esc_html__('محصولات', 'emperor'),
    'id' => 'courses',
    'icon' => 'el-icon-shopping-cart',

));
Redux::setSection($opt_name, array(
    'title'            => esc_html__('آرشیو', 'emperor'),
    'id'               => 'course_settings',
    'subsection'       => true,
    'fields' => array(
        array(
            'id'        => 'shop_sidebar',
            'type'      => 'image_select',
            'title'     => esc_html__('Sidebar Position', 'emperor'),
            'subtitle'  => esc_html__('Set shop sidebar position or hide it', 'emperor'),
            'default'   => 'right',
            'options'   => array(
                'none'      => array(
                    'alt'   => esc_html__('No Sidebar', 'emperor'),
                    'img'   => ReduxFramework::$_url.'assets/img/1col.png'
                ),
                'left'      => array(
                    'alt'   => esc_html__('Sidebar Left', 'emperor'),
                    'img'   => ReduxFramework::$_url.'assets/img/2cl.png'
                ),
                'right'      => array(
                    'alt'   => esc_html__('Sidebar Right', 'emperor'),
                    'img'  => ReduxFramework::$_url.'assets/img/2cr.png'
                ),
            )
        ),
        array(
            'id'        => 'courses_columns',
            'type'      => 'select',
            'title'     => esc_html__('ستون ها', 'emperor'),
            'subtitle'  => esc_html__('Choose columns for courses grid', 'emperor'),
            'options'   => array(
                '2' => esc_html__('Two Columns', 'emperor'),
                '3' => esc_html__('Three Columns', 'emperor'),
                '4' => esc_html__('Four Columns', 'emperor'),
            ),
            'default'   => '3',
            'select2'   => array('allowClear' => false)
        ),
        array(
            'id'       => 'shop_per_page',
            'type'     => 'text',
            'title'    => esc_html__('Courses per page', 'emperor'),
            'subtitle' => esc_html__('Number of courses per page', 'emperor'),
            'default'  => '8',
            'min'      => '1',
            'max'      => '20',
        ),

        array(
            'id'       => 'course_video_loop',
            'title'    => esc_html__('نمایش ویدئوی پیشنمایش محصول در آرشیو محصولات', 'emperor'),
            'subtitle' => esc_html__('با فعال کردن این گزینه، ویدئوی پیشنمایش محصول در صفحه آرشیو محصولات قابل اجرا روی تصویر کاور خواهد بود', 'emperor'),
            'type'     => 'switch',
            'default'  => false,
            'on'       => esc_html__('فعال', 'emperor'),
            'off'      => esc_html__('غیر فعال', 'emperor')
        ),

        array(
            'id'       => 'courses_rating_loop',
            'title'    => esc_html__('امتیاز ستاره ای آرشیو محصولات', 'emperor'),
            'subtitle' => esc_html__('با این گزینه می توانید ستاره ای در آرشیو محصولات را مخفی کنید یا نمایش دهید.', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('فعال', 'emperor'),
            'off'      => esc_html__('غیر فعال', 'emperor')
        ),

        array(
            'id'       => 'courses_teacher_loop',
            'title'    => esc_html__('نام فروشنده (مدرس) در آرشیو محصولات', 'emperor'),
            'subtitle' => esc_html__('با این گزینه می توانید نام فروشنده (مدرس) را در آرشیو محصولات مخفی کنید یا نمایش دهید.', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('فعال', 'emperor'),
            'off'      => esc_html__('غیر فعال', 'emperor')
        ),

        array(
            'id'       => 'courses_people_loop',
            'title'    => esc_html__('نمایش تعداد خریداران', 'emperor'),
            'subtitle' => esc_html__('نمایش یا مخفی کردن تعداد خریداران در آرشیو محصولات', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('فعال', 'emperor'),
            'off'      => esc_html__('غیر فعال', 'emperor')
        ),

        array(
            'id'       => 'courses_cart_loop',
            'title'    => esc_html__('دکمه خرید آرشیو محصولات', 'emperor'),
            'subtitle' => esc_html__('با این گزینه می توانید نام مدرس دوره را در آرشیو دوره ها مخفی کنید یا نمایش دهید.', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('فعال', 'emperor'),
            'off'      => esc_html__('غیر فعال', 'emperor')
        ),

    )
));
Redux::setSection($opt_name, array(
    'title'            => esc_html__('صفحه محصول', 'emperor'),
    'id'               => 'course_page_settings',
    'subsection'       => true,
    'fields' => array(


        array(
            'id'      => 'add_to_cart_text',
            'type'    => 'text',
            'default'  => 'ثبت نام دوره',
            'title'   => esc_html__('متن دکمه خرید', 'emperor'),
        ),

        array(
            'id'      => 'course_student_text',
            'type'    => 'text',
            'default'  => 'شما به این محصول دسترسی دارید',
            'title'   => esc_html__('متن نمایش داده شده پس از خرید', 'emperor'),
        ),

        array(
            'id'        => 'course_single_sidebar_position',
            'type'      => 'image_select',
            'title'     => esc_html__('موقعیت سایدبار صفحه محصول تکی', 'emperor'),
            'subtitle'  => esc_html__('موقعیت سایدبار برگه دوره تکی را انتخاب کنید.', 'emperor'),
            'default'   => 'right',
            'options'   => array(
                'left'      => array(
                    'alt'   => esc_html__('Sidebar Left', 'emperor'),
                    'img'   => ReduxFramework::$_url.'assets/img/2cr.png'
                ),
                'right'      => array(
                    'alt'   => esc_html__('Sidebar Right', 'emperor'),
                    'img'  => ReduxFramework::$_url.'assets/img/2cl.png'
                ),
            )
        ),

        array(
            'id'       => 'course_purchase',
            'title'    => esc_html__('جلوگیری از خرید مجدد محصول', 'emperor'),
            'subtitle' => esc_html__('فعال و غیر فعال کردن جلوگیری از خرید مجدد محصول', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('فعال', 'emperor'),
            'off'      => esc_html__('غیرفعال', 'emperor')
        ),

        array(
            'id'       => 'course_downloads',
            'title'    => esc_html__('دریافت فایل های محصول', 'emperor'),
            'subtitle' => esc_html__('نمایش و مخفی کردن بخش دریافت فایل های محصول', 'emperor'),
            'type'     => 'switch',
            'default'  => false,
            'on'       => esc_html__('نمایش', 'emperor'),
            'off'      => esc_html__('مخفی', 'emperor')
        ),

        array(
            'id'       => 'course_students',
            'title'    => esc_html__('تعداد فروش', 'emperor'),
            'subtitle' => esc_html__('نمایش یا مخفی کردن تعداد خریدارن محصول', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('نمایش', 'emperor'),
            'off'      => esc_html__('مخفی', 'emperor')
        ),
        array(
            'id'       => 'course_counters',
            'title'    => esc_html__('آمار بازدید و تعداد نظرات', 'emperor'),
            'subtitle' => esc_html__('نمایش و مخفی کردن بخش تعداد بازدید و نظرات محصول', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('نمایش', 'emperor'),
            'off'      => esc_html__('مخفی', 'emperor')
        ),
        array(
            'id'       => 'file_product_title',
            'title'    => esc_html__('عنوان و مسیر (محصول فایل)', 'emperor'),
            'subtitle' => esc_html__('نمایش یا مخفی کردن عنوان و مسیر', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('نمایش', 'emperor'),
            'off'      => esc_html__('مخفی', 'emperor')
        ),
        array(
            'id'       => 'product_short_link',
            'title'    => esc_html__('لیتک کوتاه', 'emperor'),
            'subtitle' => esc_html__('نمایش یا مخفی کردن لیتک کوتاه', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('نمایش', 'emperor'),
            'off'      => esc_html__('مخفی', 'emperor')
        ),
        array(
            'id'       => 'course_detail_reviews',
            'title'    => esc_html__('آمار خلاصه امتیاز کاربران', 'emperor'),
            'subtitle' => esc_html__('نمایش و مخفی کردن باکس خلاصه امتیازات کاربران', 'emperor'),
            'type'     => 'switch',
            'default'  => false,
            'on'       => esc_html__('نمایش', 'emperor'),
            'off'      => esc_html__('مخفی', 'emperor')
        ),
        array(
            'id'       => 'product_tags',
            'title'    => esc_html__('برچسب ها', 'emperor'),
            'subtitle' => esc_html__('نمایش و مخفی کردن برچسب ها', 'emperor'),
            'type'     => 'switch',
            'default'  => false,
            'on'       => esc_html__('نمایش', 'emperor'),
            'off'      => esc_html__('مخفی', 'emperor')
        ),
        array(
            'id'       => 'product_seller',
            'title'    => esc_html__('فروشنده (مدرس)', 'emperor'),
            'subtitle' => esc_html__('نمایش و مخفی کردن فروشنده (مدرس)', 'emperor'),
            'type'     => 'switch',
            'default'  => false,
            'on'       => esc_html__('نمایش', 'emperor'),
            'off'      => esc_html__('مخفی', 'emperor')
        ),

        array(
            'id'       => 'related_courses_display',
            'title'    => esc_html__('نمایش / مخفی کردن محصولات مرتبط', 'emperor'),
            'subtitle' => esc_html__('با استفاده از این گزینه می توانید محصولات مرتبط را خاموش و روشن کنید.', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('نمایش', 'emperor'),
            'off'      => esc_html__('مخفی', 'emperor')
        ),
        array(
            'id'       => 'course_per_page',
            'type'     => 'text',
            'title'    => esc_html__('تعداد محصولات مرتبط', 'emperor'),
            'subtitle' => esc_html__('تعداد محصولات مرتبط ', 'emperor'),
            'default'  => '6',
            'min'      => '1',
            'max'      => '10',
        ),

        array(
            'id' => 'content_review_rules',
            'type' => 'editor',
            'title' => esc_html__('محتوای بلوک قوانین ثبت نظر در برگه محصول', 'emperor'),
        )

    )
));
Redux::setSection($opt_name, array(
    'title'            => esc_html__('Sharing Settings', 'emperor'),
    'id'               => 'course_sharing_settings',
    'subsection'       => true,
    'fields'           => array(
        array(
            'id'       => 'course_share_story',
            'title'    => esc_html__('Share Course', 'emperor'),
            'subtitle' => esc_html__('Enable or disable sharing course on social networks', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('Allow Share', 'emperor'),
            'off'      => esc_html__('No', 'emperor')
        )
    )
));

# Blog Settings
Redux::setSection($opt_name, array(
    'title' => esc_html__('Blog', 'emperor'),
    'id' => 'blog',
    'icon' => 'el-icon-pencil',

));

Redux::setSection($opt_name, array(
    'title'            => esc_html__('Blog Settings', 'emperor'),
    'id'               => 'blog_settings',
    'subsection'       => true,
    'fields'           => array(
        array(
            'id'        => 'blog_post_style',
            'type'      => 'button_set',
            'title'     => esc_html__('Blog Posts Layout', 'emperor'),
            'subtitle'  => esc_html__('Choose the form you want to show blog posts', 'emperor'),
            'default'   => 'list',
            'options'   => array(
                'list' => esc_html__('List View', 'emperor'),
                'grid' => esc_html__('Grid View', 'emperor'),
            )
        ),
        array(
            'id' => 'blog_grid_columns',
            'type' => 'select',
            'title' => esc_html__('Blog Grid Columns', 'emperor'),
            'subtitle' => esc_html__('How many columns you want in a row', 'emperor'),
            'default' => 'three',
            'options' => array(
                'one' => esc_html__('One Column', 'emperor'),
                'two' => esc_html__('Two Columns', 'emperor'),
                'three' => esc_html__('Three Columns', 'emperor'),
                'four' => esc_html__('Four Columns', 'emperor')
            ),
            'select2'   => array('allowClear' => false),
            'required'  => array('blog_post_style', '=', 'grid')
        ),

        array(
            'id' => 'blog_thumbnails_size',
            'type' => 'select',
            'title' => esc_html__('ابعاد تصویر بندانگشتی', 'emperor'),
            'subtitle' => esc_html__('نسبت ابعاد تصویر بندانشگتی نوشته های بلاگ را انتخاب کنید.', 'emperor'),
            'default' => 'square',
            'options' => array(
                'square' => esc_html__('مربعی', 'emperor'),
                'rectangle' => esc_html__('مستطیلی', 'emperor')
            ),
            'select2'   => array('allowClear' => false),
        ),

        array(
            'id'        => 'sidebar_position',
            'type'      => 'image_select',
            'title'     => esc_html__('موقعیت سایدبار آرشیو نوشته ها', 'emperor'),
            'subtitle'  => esc_html__('Set blog sidebar position or hide it', 'emperor'),
            'default'   => 'right',
            'options'   => array(
                'none'      => array(
                    'alt'   => esc_html__('No Sidebar', 'emperor'),
                    'img'   => ReduxFramework::$_url.'assets/img/1col.png'
                ),
                'left'      => array(
                    'alt'   => esc_html__('Sidebar Left', 'emperor'),
                    'img'   => ReduxFramework::$_url.'assets/img/2cl.png'
                ),
                'right'      => array(
                    'alt'   => esc_html__('Sidebar Right', 'emperor'),
                    'img'  => ReduxFramework::$_url.'assets/img/2cr.png'
                ),
            )
        ),
        array(
            'id'        => 'sidebar_position_single',
            'type'      => 'image_select',
            'title'     => esc_html__('موقعیت سایدبار نوشته های تکی', 'emperor'),
            'subtitle'  => esc_html__('Set blog sidebar position or hide it', 'emperor'),
            'default'   => 'right',
            'options'   => array(
                'none'      => array(
                    'alt'   => esc_html__('No Sidebar', 'emperor'),
                    'img'   => ReduxFramework::$_url.'assets/img/1col.png'
                ),
                'left'      => array(
                    'alt'   => esc_html__('Sidebar Left', 'emperor'),
                    'img'   => ReduxFramework::$_url.'assets/img/2cl.png'
                ),
                'right'      => array(
                    'alt'   => esc_html__('Sidebar Right', 'emperor'),
                    'img'  => ReduxFramework::$_url.'assets/img/2cr.png'
                ),
            )
        ),

        array(
            'id'        => 'blog_desc_text',
            'type'      => 'switch',
            'title'     => esc_html__('نمایش یا مخفی کردن خلاصه نوشته در نمایش شبکه ای؟', 'emperor'),
            'subtitle'  => esc_html__('می توانید مقداری از خلاصه متن نوشته را در حالت شبکه ای نمایش دهید.', 'emperor'),
            'default'   => false,
        ),
        array(
            'id'        => 'blog_cate',
            'type'      => 'switch',
            'title'     => esc_html__('نمایش یا مخفی کردن دسته نوشته در نمایش شبکه ای', 'emperor'),
            'subtitle'  => esc_html__('نمایش یا مخفی کردن دسته نوشته در نمایش شبکه ای', 'emperor'),
            'default'   => false,
        ),

        array(
            'id'        => 'article_author',
            'type'      => 'switch',
            'title'     => esc_html__('Display Author Info?', 'emperor'),
            'subtitle'  => esc_html__('Displays author information at the bottom. Will only be displayed if the author description is filled.', 'emperor'),
            'default'   => true,
        ),
        array(
            'id'        => 'blog_navigation',
            'type'      => 'switch',
            'title'     => esc_html__('Display Article Navigation?', 'emperor'),
            'subtitle'  => esc_html__('Displays article navigation after post content.', 'emperor'),
            'default'   => true,
        ),
        array(
            'id'        => 'blog_related',
            'type'      => 'switch',
            'title'     => esc_html__('نمایش نوشته های مرتبط؟', 'emperor'),
            'subtitle'  => esc_html__('انتخاب کنید که آیا نوشته های مرتبط بعد از محتوای نوشته نمایش داده شود؟', 'emperor'),
            'default'   => true,
        ),

        array(
            'id'        => 'related-blog_post_style',
            'type'      => 'button_set',
            'title'     => esc_html__('استایل نوشته های مرتبط', 'emperor'),
            'subtitle'  => esc_html__('انتخاب کنید که نوشته های مرتبط در چه شکلی ظاهر شوند', 'emperor'),
            'default'   => 'related-carousel',
            'options'   => array(
                'related-list' => esc_html__('لیستی', 'emperor'),
                'related-carousel' => esc_html__('کروسلی', 'emperor'),
            )
        ),

        array(
            'id'        => 'blog_meta_data',
            'type'      => 'switch',
            'title'     => esc_html__('نمایش اطلاعات نوشته تکی؟', 'emperor'),
            'subtitle'  => esc_html__('انتخاب کنید که آیا اطلاعات نوشته مثل تاریخ و دسته بندی و آماز بازدید نمایش داده شود یا خیر', 'emperor'),
            'default'   => true,
        ),

        array(
            'id'        => 'blog_featured_img',
            'type'      => 'switch',
            'title'     => esc_html__('نمایش تصویر شاخص نوشته های بلاگ؟', 'emperor'),
            'subtitle'  => esc_html__('انتخاب کنید که می خواهید تصویر شاخص نوشته های بلاگ در صفحه نوشته تکی نمایش داده شود یا خیر؟', 'emperor'),
            'default'   => true,
        ),

        array(
            'id'      => 'report_form',
            'type'    => 'text',
            'title'   => esc_html__('شرتکد فرم گزارش مشکل دانلود', 'emperor'),
            'subtitle' => esc_html__('یک فرم با فرم ساز دلخواه خود بسازید و شرتکد آن را جهت نمایش در اینجا قرار دهید.', 'emperor'),
        ),

    )
));

$share_story_networks = array(
    'enabled' => array(
        'placebo'	=> 'placebo',
        'fb'   	 	=> 'Facebook',
        'tw'   	 	=> 'Twitter',
        'lin'       => 'LinkedIn',
        'tlr'       => 'Tumblr',
        'gp'       	=> 'Google Plus',
    ),
    'disabled' => array(
        'placebo'   => 'placebo',
        'pi'       	=> 'Pinterest',
        'em'       	=> 'Email',
        'vk'       	=> 'VKontakte',
    ),
);

Redux::setSection($opt_name, array(
    'title'            => esc_html__('Sharing Settings', 'emperor'),
    'id'               => 'sharing_settings',
    'subsection'       => true,
    'fields'           => array(
        array(
            'id'       => 'blog_share_story',
            'title'    => esc_html__('Share Story', 'emperor'),
            'subtitle' => esc_html__('Enable or disable sharing blog post on social networks', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('Allow Share', 'emperor'),
            'off'      => esc_html__('No', 'emperor'),
        ),

    )
));

# Footer Settings
Redux::setSection($opt_name, array(
    'title'             => esc_html__('Footer', 'emperor'),
    'id'                => 'footer_settings',
    'desc'              => esc_html__('Every footer option is included here.', 'emperor'),
    'customizer_width'  => '400px',
    'icon'              => 'el-icon-photo',
    'fields'            => array(
        array(
            'id'        => 'footer_type',
            'type'      => 'select',
            'title'     => esc_html__('نوع فوتر', 'emperor'),
            'default'   => 'default',
            'options'   => array(
                'default' => esc_html__('پیشفرض قالب', 'emperor'),
                'elementor'  => esc_html__('المنتور', 'emperor'),
                'disable'  => esc_html__('غیرفعال', 'emperor'),
            ),
            'select2'   => array('allowClear' => false)
        ),
        array(
            'id' => 'herowp-footer',
            'type' => 'select',
            'title' => __('انتخاب فوتر', 'emperor'),
            'required'  => array('footer_type', '=', 'elementor'),
            'options' => $footers,
        ),
        array(
            'id'        => 'footer_selected',
            'type'      => 'select',
            'title'     => esc_html__('انتخاب فوتر', 'emperor'),
            'subtitle'  => esc_html__('فوتری که قصد دارید در سایت فعال باشد انتخاب کنید.', 'emperor'),
            'default'   => 'footer1',
            'options'   => array(
                'footer1' => esc_html__('فوتر 1', 'emperor'),
                'footer2'  => esc_html__('فوتر 2', 'emperor'),
            ),
            'select2'   => array('allowClear' => false),
            'required'  => array('footer_type', '=', 'default')
        ),
        array(
            'id'        => 'footer_widgets',
            'type'      => 'switch',
            'title'     => esc_html__('Footer Widgets', 'emperor'),
            'subtitle'  => esc_html__('Show or hide footer widgets', 'emperor'),
            'default'   => true,
            'required'  => array('footer_type', '=', 'default')
        ),
        array(
            'id'        => 'footer_columns',
            'type'      => 'image_select',
            'required'  => array('footer_widgets', '=', '1'),
            'title'     => esc_html__('Footer Columns', 'emperor'),
            'subtitle'  => esc_html__('Set columns layout for footer to split widgets.', 'emperor'),
            'default'   => 'three',
            'options'   => array(
                'three'  => array(
                    'alt'   => '3 Columns',
                    'img' => get_parent_theme_file_uri('assets/images/admin/footer-3.png'),
                ),
                'two'    => array(
                    'alt'   => '2 Columns',
                    'img' => get_parent_theme_file_uri('assets/images/admin/footer-2.png'),
                ),
                'doubleleft'    => array(
                    'alt'   => 'Double Left',
                    'img' => get_parent_theme_file_uri('assets/images/admin/footer-double-left.png'),
                ),
                'doubleright'   => array(
                    'alt'   => 'Double Right',
                    'img' => get_parent_theme_file_uri('assets/images/admin/footer-double-right.png'),
                ),
                'one'     => array(
                    'alt'   => '1 Column',
                    'img' => get_parent_theme_file_uri('assets/images/admin/footer-1.png'),
                ),
            ),
        ),
        array(
            'id'       => 'disable_copyrights',
            'type'     => 'switch',
            'title'    => esc_html__('Copyrights', 'emperor'),
            'default' => true,
            'required'  => array('footer_type', '=', 'default')
        ),
        array(
            'id'       => 'copyrights-layout',
            'type'     => 'select',
            'title'    => esc_html__('Copyrights layout', 'emperor'),
            'options'  => array(
                'default' => esc_html__('Two columns', 'emperor'),
                'centered' => esc_html__('Centered', 'emperor'),
            ),
            'default' => 'default',
            'select2'   => array('allowClear' => false),
            'required'  => array('disable_copyrights', '=', true)
        ),
        array(
            'id'       => 'copyrights',
            'type'     => 'text',
            'title'    => esc_html__('Copyrights text', 'emperor'),
            'required'  => array('disable_copyrights', '=', true),
            'subtitle' => esc_html__('Place here text you want to see in the copyrights area. You can use shortocdes. Ex.: [social_networks]', 'emperor'),
        ),
        array(
            'id'       => 'copyrights2',
            'type'     => 'text',
            'title'    => esc_html__('Text next to copyrights', 'emperor'),
            'subtitle' => esc_html__('You can use shortcodes. Ex.: [social_networks]', 'emperor'),
            'required'  => array('disable_copyrights', '=', true)
        ),
        array(
            'id'       => 'copyright_developer',
            'type'     => 'switch',
            'title'    => esc_html__('نمایش یا مخفی کردن نام طراح', 'emperor'),
            'default' => true,
            'required'  => array('disable_copyrights', '=', true)
        ),
        array(
            'id'       => 'scroll_top_btn',
            'type'     => 'switch',
            'title'    => esc_html__('Scroll to top button', 'emperor'),
            'default' => true
        ),
    )
));

# My Account Settings
Redux::setSection($opt_name, array(
    'title' => esc_html__('کاربری', 'emperor'),
    'id' => 'log_reg',
    'icon' => 'el el-user',

));
Redux::setSection($opt_name, array(
    'title' => __('پروفایل', 'emperor'),
    'id' => 'auth-profile',
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'profile-notification',
            'type' => 'switch',
            'title' => __('اطلاعیه ها', 'emperor'),
            'desc' => __('فعال سازی بخش اطلاعیه ها در پروفایل', 'emperor'),
            'default' => true,
        ),
        array(
            'id' => 'profile-article',
            'type' => 'switch',
            'title' => __('آخرین مقالات', 'emperor'),
            'desc' => __('فعال سازی بخش آخرین مقالات در پروفایل', 'emperor'),
            'default' => true,
        ),

        array(
            'id' => 'profile-gift',
            'type' => 'switch',
            'title' => __('هدیه (کد تخفیف)', 'emperor'),
            'desc' => __('فعال سازی بخش هدیه در پروفایل', 'emperor'),
            'default' => true,
        ),
        array(
            'id' => 'profile-gift-title',
            'type' => 'text',
            'default' => 'Energy90',
            'title' => __('عنوان (کد تخفیف)', 'emperor'),
            'desc' => __('در این بخش می توانید کد تخفیف قابل استفاده کاربران را قرار دهید', 'emperor'),
            'required' => array('profile-gift', '!=', false),
        ),
        array(
            'id' => 'profile-gift-desc',
            'type' => 'text',
            'default' => 'تخفیف 90% ویژه عید نوروز',
            'title' => __('توضیحات', 'emperor'),
            'desc' => __('توضیح کوتاه در مورد هدیه یا تخفیف مورد نظر', 'emperor'),
            'required' => array('profile-gift', '!=', false),
        ),
        array(
            'id' => 'profile-social',
            'type' => 'switch',
            'title' => __('شبکه های اجتماعی', 'emperor'),
            'desc' => __('نمایش آیکون شبکه های اجتماعی', 'emperor'),
            'default' => true,
        ),
        array(
            'id' => 'profile-telegram',
            'type' => 'switch',
            'title' => __('تلگرام', 'emperor'),
            'desc' => __('فعالسازی نمایش باکس تلگرام', 'emperor'),
            'default' => true,
            'required' => array('profile-social', '!=', false),
        ),
        array(
            'id' => 'profile-telegram-url',
            'type' => 'text',
            'default' => '#',
            'title' => __('آدرس کانال شما در تلگرام', 'emperor'),
            'desc' => __('url کانال', 'emperor'),
            'required' => array('profile-telegram', '!=', false),
        ),

        array(
            'id' => 'profile-instagram',
            'type' => 'switch',
            'title' => __('اینستاگرام', 'emperor'),
            'desc' => __('فعالسازی نمایش باکس اینستاگرام', 'emperor'),
            'default' => true,
            'required' => array('profile-social', '!=', false),
        ),
        array(
            'id' => 'profile-instagram-url',
            'type' => 'text',
            'default' => '#',
            'title' => __('آدرس پیج اینستا شما', 'emperor'),
            'desc' => __('url پیح', 'emperor'),
            'required' => array('profile-instagram', '!=', false),
        ),

    )
));

Redux::setSection($opt_name, array(
    'title'            => esc_html__('عضویت و ورود', 'emperor'),
    'id'               => 'log_reg_settings',
    'subsection'       => true,
    'fields' => array(

        array(
            'id' => 'login-layout',
            'type' => 'select',
            'title' => __('طرح صفحه', 'emperor'),
            'default' => 'login-1',
            'options' => array(
                'login-1' => "طرح اول",
                'login-2' => "طرح دوم",
                'login-3' => "طرح سوم",
            )
        ),
        array(
            'id' => 'auth-bg',
            'type' => 'media',
            'url' => true,
            'title' => __('پس زمینه', 'emperor'),
            'required' => array('login-layout', '=', 'login-3'),
        ),

        array(
            'id' => 'login-subtitle',
            'type' => 'text',
            'default' => 'خوشحالیم دوباره میبینیمت دوست عزیز',
            'title' => __('زیر عنوان ورود به حساب', 'emperor'),
            'required' => array('login-layout', '!=', 'login-1'),
        ),
        array(
            'id' => 'register-subtitle',
            'type' => 'text',
            'default' => 'خوشحالیم قراره به جمع ما بپیوندی',
            'title' => __('زیر عنوان ثبت نام', 'emperor'),
            'required' => array('login-layout', '!=', 'login-1'),
        ),

        array(
            'id' => 'content_log_reg',
            'type' => 'editor',
            'title' => esc_html__('محتوای فرم عضویت و ورود', 'emperor'),
        )

    )

));

Redux::setSection($opt_name, array(
    'title' => __('لینک های سفارشی', 'emperor'),
    'id' => 'auth-link',
    'desc' => 'افزودن لینک سفارشی به منوی پروفایل',
    'subsection' => true,
    'fields' => array(
        array(
            'id' => 'pl-title-1',
            'type' => 'text',
            'title' => __('عنوان لینک 1', 'emperor'),
        ),
        array(
            'id' => 'pl-url-1',
            'type' => 'text',
            'title' => __('آدرس لینک 1', 'emperor'),
        ),
        array(
            'id' => 'pl-title-2',
            'type' => 'text',
            'title' => __('عنوان لینک 2', 'emperor'),
        ),
        array(
            'id' => 'pl-url-2',
            'type' => 'text',
            'title' => __('آدرس لینک 2', 'emperor'),
        ),
        array(
            'id' => 'pl-title-3',
            'type' => 'text',
            'title' => __('عنوان لینک 3', 'emperor'),
        ),
        array(
            'id' => 'pl-url-3',
            'type' => 'text',
            'title' => __('آدرس لینک 3', 'emperor'),
        ),
        array(
            'id' => 'pl-title-4',
            'type' => 'text',
            'title' => __('عنوان لینک 4', 'emperor'),
        ),
        array(
            'id' => 'pl-url-4',
            'type' => 'text',
            'title' => __('آدرس لینک 4', 'emperor'),
        ),
        array(
            'id' => 'pl-title-5',
            'type' => 'text',
            'title' => __('عنوان لینک 5', 'emperor'),
        ),
        array(
            'id' => 'pl-url-5',
            'type' => 'text',
            'title' => __('آدرس لینک 5', 'emperor'),
        ),
        array(
            'id' => 'pl-title-6',
            'type' => 'text',
            'title' => __('عنوان لینک 6', 'emperor'),
        ),
        array(
            'id' => 'pl-url-6',
            'type' => 'text',
            'title' => __('آدرس لینک 6', 'emperor'),
        ),
    )
));

# Portfolio Settings
Redux::setSection($opt_name, array(
    'title'             => esc_html__('Portfolio', 'emperor'),
    'id'                => 'portfolio_settings',
    'icon'              => 'el-icon-th',
    'fields'            => array(
        array(
            'id'       => 'portfolio_columns',
            'type'     => 'button_set',
            'title'    => esc_html__('ستون ها', 'emperor'),
            'subtitle' => esc_html__('How many projects you want to show per row', 'emperor'),
            'options'  => array(
                'two'  => esc_html__('Two Columns', 'emperor'),
                'three'  => esc_html__('Three Columns', 'emperor'),
                'four'  => esc_html__('Four Columns', 'emperor'),
            ),
            'default' => 'three'
        ),
        array(
            'id'        => 'portfolio_filters',
            'type'      => 'button_set',
            'title'     => esc_html__('Portfolio Filters', 'emperor'),
            'subtitle'  => esc_html__('Show/hide portfolio filters on side', 'emperor'),
            'options'   => array(
                'left'  => esc_html__('On Left', 'emperor'),
                'right' => esc_html__('On Right', 'emperor'),
                'no'    => esc_html__('None', 'emperor')
            ),
            'default'   => 'left'
        ),
        array(
            'id'       => 'portfolio_per_page',
            'type'     => 'text',
            'title'    => esc_html__('Portfolio per page', 'emperor'),
            'subtitle' => esc_html__('Number of portfolio per page', 'emperor'),
            'default'  => '9',
            'min'      => '1',
            'max'      => '20',
        ),
        array(
            'id'        => 'portfolio_nav',
            'type'      => 'switch',
            'title'     => esc_html__('Display Portfolio Navigation?', 'emperor'),
            'subtitle'  => esc_html__('Displays portfolio item navigation after content.', 'emperor'),
            'default'   => true,
        )
    )
));

# Fixed Right Button
Redux::setSection($opt_name, array(
    'title'             => esc_html__('مشاوره', 'emperor'),
    'id'                => 'fixed_right_btn_settings',
    'icon'              => 'el-icon-th',
    'fields'            => array(
        array(
            'id'       => 'course_advice',
            'title'    => esc_html__('بخش مشاوره محصول دوره', 'emperor'),
            'subtitle' => esc_html__('فعال یا غیر فعال کردن بخش درخواست مشاوره در صفحه محصول دوره', 'emperor'),
            'type'     => 'switch',
            'default'  => true,
            'on'       => esc_html__('نمایش', 'emperor'),
            'off'      => esc_html__('مخفی', 'emperor')
        ),
        array(
            'id'      => 'advice_title',
            'type'    => 'text',
            'title'   => esc_html__('عنوان پنجره مشاوره', 'emperor'),
        ),
        array(
            'id'      => 'advice_phone',
            'type'    => 'text',
            'title'   => esc_html__('شماره تلفن', 'emperor'),
        ),
        array(
            'id'      => 'advice_form',
            'type'    => 'text',
            'title'   => esc_html__('شرتکد فرم درخواست تماس', 'emperor'),
            'subtitle' => esc_html__('شما می توانید هر فرم دلخواهی که ساخته اید را در این بخش وارد کنید', 'emperor'),
        ),
        array(
            'id'        => 'fixed_right_btn_status',
            'type'      => 'switch',
            'title'     => esc_html__('دکمه مشاوره چسبان', 'emperor'),
            'subtitle'  => esc_html__('نمایش دکمه مشاوره سمت راست به صورت ثابت', 'emperor'),
            'default'   => false,
        ),
        array(
            'id'       => 'fixed_right_btn_title',
            'type'     => 'text',
            'title'    => esc_html__('عنوان دکمه مشاوره', 'emperor'),
            'subtitle' => esc_html__('متن نمایش داده شده در بالای دکمه مشاوره', 'emperor'),
            'default'  => 'مشاوره تلفنی رایگان',
        ),
    )
));


if(is_plugin_active('restrict-content-pro/restrict-content-pro.php')) {
    # Content Pro VIP
    Redux::setSection($opt_name, array(
        'title'             => esc_html__('تنظیمات اشتراک ویژه', 'emperor'),
        'id'                => 'vip_settings',
        'icon'              => 'el el-star',
        'fields'            => array(
            array(
                'id'       => 'vip_membership_url',
                'type'     => 'text',
                'title'    => esc_html__('آدرس برگه افزایش  و خرید اشتراک', 'emperor'),
                'subtitle' => esc_html__('آدرس کامل برگه ای که در بخش برگه ها جهت خرید و افزایش اشتراک ویژه ایجاد کردید را وارد کنید', 'emperor'),
            ),
            array(
                'id'       => 'vip_your_membership_url',
                'type'     => 'text',
                'title'    => esc_html__('آدرس برگه تاریخچه اشتراک', 'emperor'),
                'subtitle' => esc_html__('آدرس کامل برگه ای که در بخش برگه ها جهت تاریخچه اشتراک ویژه ایجاد کردید را وارد کنید', 'emperor'),
            ),
        )
    ));
}

# file store
Redux::setSection($opt_name, array(
    'title'             => esc_html__('تنظیمات فروش فایل', 'emperor'),
    'id'                => 'file_store_settings',
    'icon'              => 'el el-file',
    'fields'            => array(
        array(
            'id'        => 'file_store_status',
            'type'      => 'switch',
            'title'     => esc_html__('فعال سازی فروش فایل', 'emperor'),
            'subtitle'  => esc_html__('تنها اگر قصد دارید بجای دوره آموزشی، به فروش فایل بپردازید این گزینه را فعال کنید (فعالسازی این امکان باعث تغییر متن ها زیر می شود)', 'emperor'),
            'default'   => false,
        ),
        array(
            'id'       => 'file_store_profile_product',
            'type'     => 'text',
            'title'    => esc_html__('عنوان  تعداد محصولات موجود ، انتظار پرداخت و خریداری شده(پروفایل کاربر)', 'emperor'),
            'default'   => 'فایل',
            'required'  => array('file_store_status', '=', true)
        ),
        array(
            'id'       => 'file_store_profile_buy_product',
            'type'     => 'text',
            'title'    => esc_html__('عنوان لینک محصولات خریداری شده (پروفایل کاربر)', 'emperor'),
            'default'   => 'فایل های خریداری شده',
            'required'  => array('file_store_status', '=', true)
        ),
    )
));

# Social Media Links
$social_networks_ordering = array(
    'enabled' => array(
        'placebo'	=> 'placebo',
        'fb'   	 	=> 'Facebook',
        'tw'   	 	=> 'Twitter',
        'ig'        => 'Instagram',
        'vm'        => 'Vimeo',
        'be'        => 'Behance',
        'fs'        => 'Foursquare',
        'custom'    => 'Custom Link',
    ),
    'disabled' => array(
        'placebo'   => 'placebo',
        'gp'        => "Google+",
        'lin'       => 'LinkedIn',
        'yt'        => 'YouTube',
        'drb'       => 'Dribbble',
        'pi'        => 'Pinterest',
        'vk'        => 'VKontakte',
        'da'        => 'DeviantArt',
        'fl'        => 'Flickr',
        'vi'        => 'Vine',
        'tu'        => 'Tumblr',
        'sk'        => 'Skype',
        'gh'        => 'GitHub',
        'hz'        => 'Houzz',
        'px'        => '500px',
        'xi'        => 'Xing',
        'sn'        => 'Snapchat',
        'em'        => 'Email',
        'yp'        => 'Yelp',
        'ta'        => 'TripAdvisor',
        'aparat'    => 'آپارات',
    ),
);

Redux::setSection($opt_name, array(
    'title'             => esc_html__('Social Networks', 'emperor'),
    'id'                => 'social_networks',
    'desc'              => '',
    'customizer_width'  => '400px',
    'submenu'           => true,
    'icon'              => 'fa fa-share-alt',
    'fields'            => array(
        // Social Networks Ordering
        array(
            'id'        => 'social_order',
            'type'      => 'sorter',
            'title'     => esc_html__('Social Networks Ordering', 'emperor'),
            'subtitle'  => "ترتیب ظاهر شبکه های اجتماعی را در پایین صفحه قرار دهید. برای استفاده از لیست های لینک های شبکه های اجتماعی ، این کد کوتاه را کپی کنید:<br><br> " . $herowp_social_networks_shortcode,
            'options'   => $social_networks_ordering,
        ),
        array(
            'id'        => 'social_networks_target_attr',
            'type'      => 'select',
            'title'     => esc_html__('Link Target', 'emperor'),
            'subtitle'  => esc_html__('Open social links in new window or current window', 'emperor'),
            'default'   => '_blank',
            'options'   => array(
                '_self' => esc_html__('Same Window', 'emperor'),
                '_blank' => esc_html__('New Window', 'emperor'),
            ),
            'select2'   => array('allowClear' => false)
        ),
        array(
            'id'       => 'social_network_link_aparat',
            'type'     => 'text',
            'title'    => 'آپارات',
            'placeholder' => 'https://www.aparat.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_aparat_link_icon',
            'type'     => 'text',
            'title'    => 'نام آیکون آپارات',
            'desc'     => 'بنویسید: aparat',
            'placeholder' => 'مثلا: aparat',
            'default'  => 'aparat',
        ),

        array(
            'id'       => 'social_network_link_fb',
            'type'     => 'text',
            'title'    => 'Facebook',
            'placeholder' => 'https://facebook.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_tw',
            'type'     => 'text',
            'title'    => 'Twitter',
            'placeholder' => 'https://twitter.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_lin',
            'type'     => 'text',
            'title'    => 'Linkedin',
            'placeholder' => 'https://linkedin.com/in/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_yt',
            'type'     => 'text',
            'title'    => 'YouTube',
            'placeholder' => 'https://youtube.com/user/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_vm',
            'type'     => 'text',
            'title'    => 'Vimeo',
            'placeholder' => 'https://vimeo.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_drb',
            'type'     => 'text',
            'title'    => 'Dribbble',
            'placeholder' => 'https://dribbble.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_ig',
            'type'     => 'text',
            'title'    => 'Instagram',
            'placeholder' => 'https://instagram.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_pi',
            'type'     => 'text',
            'title'    => 'Pinterest',
            'placeholder' => 'https://pinterest.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_gp',
            'type'     => 'text',
            'title'    => 'Google Plus',
            'placeholder' => 'https://plus.google.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_vk',
            'type'     => 'text',
            'title'    => 'VKontakte',
            'placeholder' => 'https://vk.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_da',
            'type'     => 'text',
            'title'    => 'DeviantArt',
            'placeholder' => 'https://username.deviantart.com/',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_tu',
            'type'     => 'text',
            'title'    => 'Tumblr',
            'placeholder' => 'https://username.tumblr.com/',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_vi',
            'type'     => 'text',
            'title'    => 'Vine',
            'placeholder' => 'https://vine.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_be',
            'type'     => 'text',
            'title'    => 'Behance',
            'placeholder' => 'https://behance.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_fl',
            'type'     => 'text',
            'title'    => 'Flickr',
            'placeholder' => 'https://flickr.com/photos/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_fs',
            'type'     => 'text',
            'title'    => 'Foursquare',
            'placeholder' => 'https://foursquare.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_sk',
            'type'     => 'text',
            'title'    => 'Skype',
            'placeholder' => 'skype:username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_gh',
            'type'     => 'text',
            'title'    => 'GitHub',
            'placeholder' => 'https://github.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_hz',
            'type'     => 'text',
            'title'    => 'Houzz',
            'placeholder' => 'https://houzz.com/user/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_px',
            'type'     => 'text',
            'title'    => '500px',
            'placeholder' => 'https://500px.com/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_vi',
            'type'     => 'text',
            'title'    => 'Xing',
            'placeholder' => 'https://xing.com/profile/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_sn',
            'type'     => 'text',
            'title'    => 'Snapchat',
            'placeholder' => 'https://snapchat.com/add/username',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_yp',
            'type'     => 'text',
            'title'    => 'Yelp',
            'placeholder' => 'https://yelp.com/biz/alias',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_ta',
            'type'     => 'text',
            'title'    => 'Trip Advisor',
            'placeholder' => 'https://tripadvisor.com',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_em',
            'type'     => 'text',
            'title'    => 'Contact Email',
            'placeholder' => 'john.doe@email.com',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_link_em_subject',
            'type'     => 'text',
            'title'    => 'Contact Subject',
            'placeholder' => 'Hello!',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_custom_link_title',
            'type'     => 'text',
            'title'    => 'Custom Link',
            'placeholder' => 'Custom Link Title',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_custom_link_link',
            'type'     => 'text',
            'title'    => 'Link',
            'placeholder' => 'https://www.mywebsite.com/',
            'default'  => '',
        ),
        array(
            'id'       => 'social_network_custom_link_icon',
            'type'     => 'text',
            'title'    => 'Custom Link Icon',
            'desc'     => 'Icon (optional)<br><small>راهنما: اگر میخواهید آیکون سفارشی خود را استفاده کنید وارد سایت <a href="http://fontawesome.io/icons/" target="_blank">Font Awesome</a> شوید و از آیکون های آن استفاده کنید.</small>',
            'placeholder' => 'Example: bookmark',
            'default'  => '',
        ),

    )
));

/*
 * <--- END SECTIONS
 */

// Function used to retrieve theme option values
if (! function_exists('herowp_option')) {
    function herowp_option($id, $fallback = false, $param = false)
    {
        global $herowp_option;
        if ($fallback == false) {
            $fallback = '';
        }
        $output = (isset($herowp_option[$id]) && $herowp_option[$id] !== '') ? $herowp_option[$id] : $fallback;
        if (!empty($herowp_options[$id]) && $param) {
            $output = $herowp_options[$id][$param];
        }
        return $output;
    }
}
