<?php

namespace Elementor;

if (!defined('ABSPATH')) {
    exit;
}

class herowp_Widget_auth_btn extends Widget_Base
{
    public function get_name()
    {
        return 'auth_btn';
    }

    public function get_title()
    {
        return esc_html__('دکمه حساب کاربری', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-user-circle-o';
    }

    public function get_categories()
    {
        return ['emperor-header-elements'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'cart_btn_section',
            [
                'label' => esc_html__('دکمه حساب کاربری', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );

        $this->add_control(
            'border',
            [
                'label' => __('گوشه های گرد (px)', 'elementor'),
                'type' => Controls_Manager::TEXT,
                'placeholder' => __('به پیکسل', 'elementor'),
                'default' => __('5', 'elementor'),
            ]
        );
        $this->add_control(
            'back',
            [
                'label' => __('پس زمینه', 'emperor'),
                'type' => Controls_Manager::COLOR,
            ]
        );

        $this->add_control(
            'color',
            [
                'label' => __('رنگ', 'emperor'),
                'type' => Controls_Manager::COLOR,
            ]
        );

        $this->end_controls_section();
    }

    protected function render($instance = [])
    {
        $settings = $this->get_settings_for_display();
        global $post;

        $file_store_status = false;
        if (class_exists('Redux')) {
            $file_store_status = herowp_option('file_store_status');
        }
        ?>


            <?php if (is_plugin_active('digits/digit.php')) : ?>
                <?php if (is_user_logged_in()): ?>
                 <div class="auth-holder">
               

                <a href="
                
                <?php if(is_plugin_active('tutor/tutor.php')): ?>
                                        #
               <?php else: ?>
                   <?php echo get_permalink(get_option('woocommerce_myaccount_page_id')) ?>
                <?php endif; ?>
                
                " class="btn btn-outline auth-drop-opener"
                   style="border-color: <?php echo $settings['back'] ?> !important; border-radius: <?php echo $settings['border'] ?>px !important; background: <?php echo $settings['back'] ?> !important">
                    <?php
                    global $current_user;
                echo get_avatar($current_user->ID, 30);
                ?>
                    <span class="first" style="color: <?php echo $settings['color'] ?> !important;"><?php echo $current_user->display_name ?></span>
                </a>

                <div class="auth-drop">
                                        <?php if(is_plugin_active('tutor/tutor.php')): ?>
                                            <?php
         $user_id = get_current_user_id();
                                            $user = get_user_by('ID', $user_id);
                                            $dashboard_page_slug = '';
                                            $dashboard_page_name = '';
                                            if (isset($wp_query->query_vars['tutor_dashboard_page']) && $wp_query->query_vars['tutor_dashboard_page']) {
                                                $dashboard_page_slug = $wp_query->query_vars['tutor_dashboard_page'];
                                                $dashboard_page_name = $wp_query->query_vars['tutor_dashboard_page'];
                                            }
                                            /**
                                             * Getting dashboard sub pages
                                             */
                                            if (isset($wp_query->query_vars['tutor_dashboard_sub_page']) && $wp_query->query_vars['tutor_dashboard_sub_page']) {
                                                $dashboard_page_name = $wp_query->query_vars['tutor_dashboard_sub_page'];
                                                if ($dashboard_page_slug) {
                                                    $dashboard_page_name = $dashboard_page_slug.'/'.$dashboard_page_name;
                                                }
                                            }
                                            $menu_html = '<ul class="tutor-dashboard-permalinks account-dashboard gva-nav-menu listing-account-nav">';

                                            if(function_exists('tutor')) {
                                                $dashboard_pages = tutils()->tutor_dashboard_nav_ui_items();
                                                foreach ($dashboard_pages as $dashboard_key => $dashboard_page) {
                                                    $menu_title = $dashboard_page;
                                                    $menu_link = tutils()->get_tutor_dashboard_page_permalink($dashboard_key);
                                                    $separator = false;
                                                    if (is_array($dashboard_page)) {
                                                        $menu_title = tutils()->array_get('title', $dashboard_page);
                                                        //Add new menu item property "url" for custom link
                                                        if (isset($dashboard_page['url'])) {
                                                            $menu_link = $dashboard_page['url'];
                                                        }
                                                        if (isset($dashboard_page['type']) && $dashboard_page['type'] == 'separator') {
                                                            $separator = true;
                                                        }
                                                    }
                                                    if ($separator) {
                                                        $menu_html .= '<li class="tutor-dashboard-menu-divider"></li>';
                                                        if ($menu_title) {
                                                            $menu_html .= "<li class='tutor-dashboard-menu-divider-header'>{$menu_title}</li>";
                                                        }
                                                    } else {
                                                        $li_class = "tutor-dashboard-menu-{$dashboard_key}";
                                                        $menu_html .= "<li class='{$li_class} '><a href='".$menu_link."'> {$menu_title} </a> </li>";
                                                    }
                                                }
                                            }

                $menu_html .= '</ul>';
                echo($menu_html) ;
                ?>
                                        <?php else: ?>
                                        <ul>
                                            <li>
                                                <?php $account_link = get_permalink(get_option('woocommerce_myaccount_page_id')); ?>
                                                <a href="<?php echo esc_url($account_link) ?>">
                                                    <i class="fal fa-user"></i>
                                                    <span>پیشخوان</span>
                                                </a>
                                                <?php if (class_exists('WeDevs_Dokan')): ?>
                                                    <?php if (dokan_is_user_seller(get_current_user_id())): ?>
                                                        <a href="<?php echo dokan_get_navigation_url() ?>">
                                                            <i class="fal fa-users"></i>
                                                            <?php if ($file_store_status): ?>
                                                                <span>داشبورد فروشندگان</span>
                                                            <?php else: ?>
                                                                <span>داشبورد مدرسان</span>
                                                            <?php endif; ?>
                                                        </a>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                                <a href="<?php echo wc_get_page_permalink('myaccount') ?>orders/">
                                                    <i class="fal fa-shopping-bag"></i>
                                                    <span>سفارش ها</span>
                                                </a>

                                                <a href="<?php echo wc_get_page_permalink('myaccount') ?>edit-account/">
                                                    <i class="fal fa-user-edit"></i>
                                                    <span>ویرایش حساب</span>
                                                </a>

                                                <?php if (is_plugin_active('woo-wallet/woo-wallet.php')): ?>
                                                    <a href="<?php echo wc_get_page_permalink('myaccount') ?>woo-wallet/">
                                                        <i class="fal fa-wallet"></i>
                                                        <span>کیف پول: <?php echo woo_wallet()->wallet->get_wallet_balance(get_current_user_id()); ?></span>
                                                    </a>
                                                <?php endif; ?>

                                                <a href="<?php echo wc_logout_url() ?>">
                                                    <i class="fal fa-sign-out logout"></i>
                                                    <span>خروج</span>
                                                </a>
                                            </li>
                                        </ul>
                                        <?php endif; ?>
                                      
                                    </div>
            </div>
                <?php else: ?>
                    <?php echo do_shortcode('[dm-modal]'); ?>
                <?php endif; ?>

            <?php else : ?>
            <?php
                      if (is_user_logged_in()) { ?>
                <div class="auth-holder">
                  
                     <a href="
                     
                     <?php if(is_plugin_active('tutor/tutor.php')): ?>
                    #
               <?php else: ?>
                   <?php echo get_permalink(get_option('woocommerce_myaccount_page_id')) ?>
                <?php endif; ?>
                     
                     " class="btn btn-outline auth-drop-opener"
                     style="border-color: <?php echo $settings['back'] ?> !important; border-radius: <?php echo $settings['border'] ?>px !important; background: <?php echo $settings['back'] ?> !important">
                         <?php
                                   global $current_user;
                          echo get_avatar($current_user->ID, 30);
                          ?>
                         <span class="first" style="color: <?php echo $settings['color'] ?> !important;"><?php echo $current_user->display_name ?></span>
                    </a>

                    <div class="auth-drop">
                                        <?php if(is_plugin_active('tutor/tutor.php')): ?>
                                            <?php
         $user_id = get_current_user_id();
                                            $user = get_user_by('ID', $user_id);
                                            $dashboard_page_slug = '';
                                            $dashboard_page_name = '';
                                            if (isset($wp_query->query_vars['tutor_dashboard_page']) && $wp_query->query_vars['tutor_dashboard_page']) {
                                                $dashboard_page_slug = $wp_query->query_vars['tutor_dashboard_page'];
                                                $dashboard_page_name = $wp_query->query_vars['tutor_dashboard_page'];
                                            }
                                            /**
                                             * Getting dashboard sub pages
                                             */
                                            if (isset($wp_query->query_vars['tutor_dashboard_sub_page']) && $wp_query->query_vars['tutor_dashboard_sub_page']) {
                                                $dashboard_page_name = $wp_query->query_vars['tutor_dashboard_sub_page'];
                                                if ($dashboard_page_slug) {
                                                    $dashboard_page_name = $dashboard_page_slug.'/'.$dashboard_page_name;
                                                }
                                            }
                                            $menu_html = '<ul class="tutor-dashboard-permalinks account-dashboard gva-nav-menu listing-account-nav">';

                                            if(function_exists('tutor')) {
                                                $dashboard_pages = tutils()->tutor_dashboard_nav_ui_items();
                                                foreach ($dashboard_pages as $dashboard_key => $dashboard_page) {
                                                    $menu_title = $dashboard_page;
                                                    $menu_link = tutils()->get_tutor_dashboard_page_permalink($dashboard_key);
                                                    $separator = false;
                                                    if (is_array($dashboard_page)) {
                                                        $menu_title = tutils()->array_get('title', $dashboard_page);
                                                        //Add new menu item property "url" for custom link
                                                        if (isset($dashboard_page['url'])) {
                                                            $menu_link = $dashboard_page['url'];
                                                        }
                                                        if (isset($dashboard_page['type']) && $dashboard_page['type'] == 'separator') {
                                                            $separator = true;
                                                        }
                                                    }
                                                    if ($separator) {
                                                        $menu_html .= '<li class="tutor-dashboard-menu-divider"></li>';
                                                        if ($menu_title) {
                                                            $menu_html .= "<li class='tutor-dashboard-menu-divider-header'>{$menu_title}</li>";
                                                        }
                                                    } else {
                                                        $li_class = "tutor-dashboard-menu-{$dashboard_key}";
                                                        $menu_html .= "<li class='{$li_class} '><a href='".$menu_link."'> {$menu_title} </a> </li>";
                                                    }
                                                }
                                            }

                          $menu_html .= '</ul>';
                          echo($menu_html) ;
                          ?>
                                        <?php else: ?>
                                        <ul>
                                            <li>
                                                <?php $account_link = get_permalink(get_option('woocommerce_myaccount_page_id')); ?>
                                                <a href="<?php echo esc_url($account_link) ?>">
                                                    <i class="fal fa-user"></i>
                                                    <span>پیشخوان</span>
                                                </a>
                                                <?php if (class_exists('WeDevs_Dokan')): ?>
                                                    <?php if (dokan_is_user_seller(get_current_user_id())): ?>
                                                        <a href="<?php echo dokan_get_navigation_url() ?>">
                                                            <i class="fal fa-users"></i>
                                                            <?php if ($file_store_status): ?>
                                                                <span>داشبورد فروشندگان</span>
                                                            <?php else: ?>
                                                                <span>داشبورد مدرسان</span>
                                                            <?php endif; ?>
                                                        </a>
                                                    <?php endif; ?>
                                                <?php endif; ?>
                                                <a href="<?php echo wc_get_page_permalink('myaccount') ?>orders/">
                                                    <i class="fal fa-shopping-bag"></i>
                                                    <span>سفارش ها</span>
                                                </a>

                                                <a href="<?php echo wc_get_page_permalink('myaccount') ?>edit-account/">
                                                    <i class="fal fa-user-edit"></i>
                                                    <span>ویرایش حساب</span>
                                                </a>

                                                <?php if (is_plugin_active('woo-wallet/woo-wallet.php')): ?>
                                                    <a href="<?php echo wc_get_page_permalink('myaccount') ?>woo-wallet/">
                                                        <i class="fal fa-wallet"></i>
                                                        <span>کیف پول: <?php echo woo_wallet()->wallet->get_wallet_balance(get_current_user_id()); ?></span>
                                                    </a>
                                                <?php endif; ?>

                                                <a href="<?php echo wc_logout_url() ?>">
                                                    <i class="fal fa-sign-out logout"></i>
                                                    <span>خروج</span>
                                                </a>
                                            </li>
                                        </ul>
                                        <?php endif; ?>
                                      
                                    </div>
                </div>
            <?php } else { ?>
                <div class="auth-btn">
                    <a href="#" class="register-modal-opener login-button btn btn-outline"
                       style="border-color: <?php echo $settings['back'] ?> !important; background: <?php echo $settings['back'] ?> !important; border-radius: <?php echo $settings['border'] ?>px !important;">
                        <i class="fal fa-user-alt" style="color: <?php echo $settings['color'] ?> !important;"></i>
                        <span class="first" style="color: <?php echo $settings['color'] ?> !important;">ورود به حساب</span>
                    </a>
                </div>
            <?php } ?>

        <?php endif; ?>


        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_auth_btn());
