<?php

namespace Elementor;

if (!defined('ABSPATH')) {
    exit;
}


class herowp_Widget_Lessons extends Widget_Base
{
    public function get_name()
    {
        return 'lessons';
    }

    public function get_title()
    {
        return esc_html__('درس ها', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-testimonial';
    }

    public function get_categories()
    {
        return ['emperor-elements'];
    }

    protected function _register_controls()
    {

        $this->start_controls_section(
            'lesson_style_section',
            [
                'label' => esc_html__('تنظیمات استایل', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );

        $this->add_control(
            'course-bg',
            [
                'label' => __('پس زمینه فصل', 'emperor'),
                'type' => Controls_Manager::COLOR,
                'default' => '#f0f2f7',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-section' => 'background: {{VALUE}} !important;'
                ],
            ]
        );
        $this->add_control(
            'course-shadow',
            [
                'label' => __('سایه فصل', 'elementor'),
                'type' => Controls_Manager::TEXT,
                'default' => __('0 0 13px 1px rgb(70 72 77 / 2%)', 'elementor'),
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-section' => 'box-shadow: {{VALUE}} !important;',
                ],
            ]
        );
        $this->add_control(
            'course-border',
            [
                'label' => __('گوشه های گرد فصل', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '5',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-section' => 'border-radius: {{VALUE}}px !important;',
                ],
            ]
        );
        $this->add_control(
            'course-padding',
            [
                'label' => __('پدینگ فصل', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '10px 18px',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-section' => 'padding: {{VALUE}} !important;',
                ],
            ]
        );

        $this->add_control(
            'course-size-title',
            [
                'label' => __('سایز عنوان فصل', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '18',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-section .gheadlinel span' => 'font-size: {{VALUE}}px !important;',
                ],
            ]
        );
        $this->add_control(
            'course-size-title-wight',
            [
                'label' => __('ضخامت عنوان فصل', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '600',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-section .gheadlinel span' => 'font-weight: {{VALUE}} !important;',
                ],
            ]
        );
        $this->add_control(
            'course-size-sub-title',
            [
                'label' => __('سایز زیر عنوان فصل', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '14',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-section .gheadlinel p' => 'font-size: {{VALUE}}px !important;',
                ],
            ]
        );
        $this->add_control(
            'course-size-img',
            [
                'label' => __('طول و عرض آیکون فصل', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '100',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-section .course-section-title-elementory img' => 'width: {{VALUE}}px !important; , height: {{VALUE}}px !important;',
                ],
            ]
        );
        $this->add_control(
            'course-size-top-arrow',
            [
                'label' => __('فاصله آیکون باز شونده از بالا', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '37',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-section .course-section-title-elementory i' => 'top: {{VALUE}}px !important;',
                ],
            ]
        );


        $this->add_control(
            'lesson-bg',
            [
                'label' => __('پس زمینه درس', 'emperor'),
                'type' => Controls_Manager::COLOR,
                'default' => '',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-panel-heading' => 'background: {{VALUE}} !important;'
                ],
            ]
        );
        $this->add_control(
            'lesson-bg-hover',
            [
                'label' => __('پس زمینه هاور درس', 'emperor'),
                'type' => Controls_Manager::COLOR,
                'default' => '#fff',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-panel-heading:hover' => 'background: {{VALUE}} !important;'
                ],
            ]
        );
        $this->add_control(
            'lesson-shadow',
            [
                'label' => __('سایه فصل', 'elementor'),
                'type' => Controls_Manager::TEXT,
                'default' => __('', 'elementor'),
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-panel-heading' => 'box-shadow: {{VALUE}} !important;',
                ],
            ]
        );
        $this->add_control(
            'lesson-border',
            [
                'label' => __('گوشه های گرد فصل', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '5',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-panel-heading' => 'border-radius: {{VALUE}}px !important;',
                ],
            ]
        );
        $this->add_control(
            'lesson-padding',
            [
                'label' => __('پدینگ فصل', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '16px',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-panel-heading' => 'padding: {{VALUE}} !important;',
                ],
            ]
        );
        $this->add_control(
            'lesson-size-title',
            [
                'label' => __('سایز عنوان درس', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '16',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-panel-heading .panel-heading-left .title h4' => 'font-size: {{VALUE}}px !important;',
                ],
            ]
        );
        $this->add_control(
            'lesson-size-title-wight',
            [
                'label' => __('ضخامت عنوان درس', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '400',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-panel-heading .panel-heading-left .title h4' => 'font-weight: {{VALUE}} !important;',
                ],
            ]
        );
        $this->add_control(
            'lesson-size-sub-title',
            [
                'label' => __('سایز زیر عنوان درس', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '14',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-panel-heading .panel-heading-left .title p' => 'font-size: {{VALUE}}px !important;',
                ],
            ]
        );

        $this->add_control(
            'lesson-top-margin',
            [
                'label' => __('فاصله بین درس ها', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '5',
                'selectors' => [
                    '{{WRAPPER}} .product-lessons-el .course-panel-heading' => 'margin-top: {{VALUE}}px !important;',
                ],
            ]
        );

        $this->end_controls_section();


        $this->start_controls_section(
            'lesson_section',
            [
                'label' => esc_html__('تنظیمات فصل', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );

        $this->add_control(
            'image',
            [
                'label' => __('آیکون فصل(اختیاری)', 'emperor'),
                'type' => \Elementor\Controls_Manager::MEDIA,
                'default' => [
                    'url' => \Elementor\Utils::get_placeholder_image_src(),
                ],
            ]
        );

        $this->add_control(
            'titlelesson',
            [
                'label' => __('عنوان فصل دوره', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,

            ]
        );

        $this->add_control(
            'subtitlelesson',
            [
                'label' => __('زیرنویس عنوان فصل دوره', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXTAREA,

            ]
        );

        $this->add_control(
            'arrowsection',
            [
                'label' => __('قابلیت باز و بسته شدن؟', 'emperor'),
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => esc_html_x("بله", 'pelleh'),
                'label_off' => esc_html_x("خیر", 'pelleh'),
                'default' => 'yes'

            ]
        );


        $this->end_controls_section();

        $this->start_controls_section(
            'lessons_section',
            [
                'label' => esc_html__('درس ها', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );

        $repeater = new \Elementor\Repeater();

        $repeater->add_control(
            'free_lesson',
            [
                'label' => __('رایگان - افراد لاگین شده', 'emperor'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => 'no',
                'options' => [
                    'yes' => __('بله', 'emperor'),
                    'no' => __('خیر', 'emperor'),
                ],
            ]
        );

        $repeater->add_control(
            'private_lesson',
            [
                'label' => __('دوره خصوصی است؟', 'emperor'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => 'no',
                'options' => [
                    'yes' => __('بله', 'emperor'),
                    'no' => __('خیر', 'emperor'),
                ],
            ]
        );

        if (is_plugin_active('restrict-content-pro/restrict-content-pro.php')) {
            $repeater->add_control(
                'vip_lesson',
                [
                    'label' => __('مخصوص اعضای ویژه؟', 'emperor'),
                    'type' => \Elementor\Controls_Manager::SELECT,
                    'default' => 'no',
                    'options' => [
                        'yes' => __('بله', 'emperor'),
                        'no' => __('خیر', 'emperor'),
                    ],
                ]
            );
        }


        $repeater->add_control(
            'subtitlelesson',
            [
                'label' => __('عنوان درس', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,

            ]
        );

        $repeater->add_control(
            'subtitlelesson_sub',
            [
                'label' => __('زیرنویس عنوان', 'learn-soogh'),
                'type' => \Elementor\Controls_Manager::TEXT,

            ]
        );

        $repeater->add_control(
            'icon',
            [
                'label' => __('آیکون درس', 'emperor'),
                'type' => \Elementor\Controls_Manager::ICON,

            ]
        );

        $repeater->add_control(
            'label_lesson',
            [
                'label' => __('لیبل درس', 'emperor'),
                'type' => \Elementor\Controls_Manager::SELECT,
                'default' => '',
                'options' => [
                    'free' => __('رایگان', 'emperor'),
                    'video' => __('ویدئو', 'emperor'),
                    'exam' => __('آزمون', 'emperor'),
                    'quiz' => __('کوئیز', 'emperor'),
                    'lecture' => __('مقاله', 'emperor'),
                    'practice' => __('تمرین', 'emperor'),
                    'attachments' => __('فایل ضمیمه', 'emperor'),
                    'sound' => __('صوت', 'emperor'),
                ],
            ]
        );

        $repeater->add_control(
            'preview_video',
            [
                'label' => __('پیشنمایش ویدئویی', 'emperor'),
                'type' => \Elementor\Controls_Manager::URL
            ]
        );

        $repeater->add_control(
            'download_lesson',
            [
                'label' => __('لینک فایل خصوصی درس', 'emperor'),
                'type' => \Elementor\Controls_Manager::URL
            ]
        );

        $repeater->add_control(
            'lesson_content',
            [
                'label' => __('محتوای دوره', 'emperor'),
                'type' => \Elementor\Controls_Manager::WYSIWYG
            ]
        );


        $this->add_control(
            'lessons_list',
            [
                'label' => __('لیست دروس', 'emperor'),
                'type' => \Elementor\Controls_Manager::REPEATER,
                'fields' => $repeater->get_controls(),
                'title_field' => '{{{subtitlelesson}}}',

            ]
        );

        $this->end_controls_section();


    }

    protected function render($instance = [])
    {

        // get our input from the widget settings.
        $settings = $this->get_settings_for_display();
        $bought_course = false;
        $current_user = wp_get_current_user();
        if (!empty($current_user->user_login) and !empty($current_user->ID)) {
            if (wc_customer_bought_product($current_user->user_login, $current_user->ID, get_the_id())) {
                $bought_course = true;
            }
        }
        global $product;
        $arrow_section = "<i class='fal fa-chevron-down'></i>";


        $is_user_vip = false;
        if (is_plugin_active('restrict-content-pro/restrict-content-pro.php')) {
            $is_user_vip = rcp_user_has_active_membership();
        }

        $file_store_status = false;
        if (class_exists('Redux')) {
            $file_store_status = herowp_option('file_store_status');
        }

        ?>


            <div class="product-lessons-el">
                <div class="elementory-section">
                    <div class="course-section position-relative">

                        <div class="course-section-title-elementory align-items-center <?php if ('yes' == $settings['arrowsection']) : echo('cursor-pointer'); ?><?php endif; ?>">
                            <?php echo '<img src="' . $settings['image']['url'] . '">'; ?>
                            <div class="gheadlinel">
                                <span><?php echo $settings['titlelesson']; ?></span>
                                <p class="subtitle-lesson"><?php echo $settings['subtitlelesson']; ?> </p>
                            </div>
                            <?php if ('yes' == $settings['arrowsection']) : echo($arrow_section); ?><?php endif; ?>
                        </div>

                        <div class="panel-group <?php if ('yes' == $settings['arrowsection']) : echo('deactive'); ?><?php endif; ?>">
                            <?php foreach ($settings['lessons_list'] as $lesson_single): ?>
                                <div class="course-panel-heading">
                                    <div class="panel-heading-left">
                                        <div class="course-lesson-icon">
                                            <?php echo '<i class="' . $lesson_single['icon'] . '" aria-hidden="true"></i>'; ?>
                                        </div>

                                        <div class="title">
                                            <h4>  <?php echo $lesson_single['subtitlelesson']; ?>
                                                <?php
                                                $badge = $lesson_single['label_lesson'];
                                if (!empty($badge)): ?>
                                                    <span class="badge-item <?php echo $lesson_single['label_lesson']; ?>"><?php echo add_class_value_in_any_lang($badge); ?></span>
                                                <?php endif; ?>
                                            </h4>
                                            <p class="subtitle"> <?php echo $lesson_single['subtitlelesson_sub']; ?></p>
                                        </div>

                                    </div>

                                    <div class="panel-heading-right">

                                        <?php
                                        $preview_video = $lesson_single['preview_video']['url'];
                                if (!empty($preview_video)): ?>
                                            <a class="video-lesson-preview preview-button"
                                               href="<?php echo esc_url($preview_video); ?>"><i
                                                        class="fal fa-play"></i><?php esc_html_e('Preview', 'emperor'); ?>
                                            </a>
                                            <a class="video-lesson-preview preview-button for-mobile"
                                               href="<?php echo esc_url($preview_video); ?>"><i
                                                        class="fal fa-play"></i></a>
                                        <?php endif; ?>



                                        <?php
                                $download_lesson = apply_filters('wcpl_download_lesson', $download_lesson);
                                $download_lesson = $lesson_single['download_lesson']['url'];
                                if (!empty($download_lesson)):
                                    ?>
                                            <?php if ($bought_course || $is_user_vip): ?>
                                            <a class="download-button" href="<?php echo esc_url($download_lesson); ?>"><i
                                                        class="fa fa-download"></i></a>
                                        <?php elseif($lesson_single['free_lesson'] !== 'no'): ?>
                                            <?php if (!empty($current_user->user_login) and !empty($current_user->ID)): ?>
                                                <a class="download-button" href="<?php echo esc_url($download_lesson); ?>"><i
                                                            class="fa fa-download"></i></a>
                                            <?php endif; ?>
                                        <?php else: ?>
                                            <div class="download-button gray"><i class="fa fa-download"></i></div>
                                        <?php endif; ?>
                                        <?php endif; ?>



                                        <?php if ($lesson_single["private_lesson"] !== "no"): ?>
                                            <div class="private-lesson">
                                                <?php
                                        if (wc_customer_bought_product($current_user->user_ID, $current_user->ID, $product->get_id())) {
                                            echo '<i class="fal fa-unlock green-lock"></i>';
                                        } else {
                                            echo '<i class="fal fa-lock"></i>';
                                        }
                                ?>
                                                <span>
                                      <?php
                                      if (wc_customer_bought_product($current_user->user_ID, $current_user->ID, $product->get_id())) {
                                          esc_html_e('در دسترس', 'emperor');
                                      } else {
                                          esc_html_e('خصوصی', 'emperor');
                                      }

                                ?>
        </span></div>
                                        <?php endif; ?>

                                        <?php if (is_plugin_active('restrict-content-pro/restrict-content-pro.php') && $lesson_single["vip_lesson"] && $lesson_single["vip_lesson"] !== "no"): ?>
                                            <div class="private-lesson">
                                                <?php
                                          if ($is_user_vip) {
                                              echo '<i class="fal fa-user-crown" style="color: #ffca00;"></i>';
                                          } else {
                                              echo '<i class="fal fa-user-crown"></i>';
                                          }
                                ?>
                                                <span>
          <?php
          if ($is_user_vip) {
              esc_html_e('دسترسی دارید', 'emperor');
          } else {
              esc_html_e('اعضای ویژه', 'emperor');
          }

                                ?>
        </span></div>
                                        <?php endif; ?>




                                        <?php if ($lesson_single["free_lesson"] !== "no"): ?>
                                            <div class="private-lesson">
                                                <?php
                                                                      if (!empty($current_user->user_login) and !empty($current_user->ID)) {
                                                                          echo '<i class="fal fa-unlock green-lock"></i>';
                                                                      } else {
                                                                          echo '<i class="fal fa-lock"></i>';
                                                                      }
                                ?>
                                                <span>
          <?php
          if (!empty($current_user->user_login) and !empty($current_user->ID)) {
              esc_html_e('دسترسی دارید', 'emperor');
          } else {
              esc_html_e('وارد شوید', 'emperor');
          }

                                ?>
        </span></div>
                                        <?php endif; ?>

                                    </div>

                                </div>

                                <div class="panel-content">
                                    <div class="panel-content-inner">

                                        <?php
                                                              if ($lesson_single["private_lesson"] !== "no") {
                                                                  if ($bought_course) {
                                                                      echo $lesson_single['lesson_content'];
                                                                  } else {
                                                                      if($file_store_status) {
                                                                          esc_html_e('دسترسی این بخش خصوصی است. برای دسترسی کامل باید محصول را خریداری کنید.', 'emperor');
                                                                      } else {
                                                                          esc_html_e('محتوای این درس خصوصی است. برای دسترسی کامل به محتوای دوره آن را خریداری کنید.', 'emperor');
                                                                      }
                                                                  }
                                                              } elseif (is_plugin_active('restrict-content-pro/restrict-content-pro.php') && $lesson_single["vip_lesson"] && $lesson_single["vip_lesson"] !== "no") {
                                                                  if ($is_user_vip) {
                                                                      echo $lesson_single['lesson_content'];
                                                                  } else {
                                                                      if($file_store_status) {
                                                                          esc_html_e('فقط اعضای ویژه به این بخش دسترسی دارند. برای دسترسی عضویت ویژه خود را افزایش دهید.', 'emperor');
                                                                      } else {
                                                                          esc_html_e('فقط اعضای ویژه به محتوای این درس دسترسی دارند. برای دسترسی عضویت ویژه خود را افزایش دهید.', 'emperor');
                                                                      }
                                                                  }
                                                              } elseif ($lesson_single["free_lesson"] !== "no") {
                                                                  if (!empty($current_user->user_login) and !empty($current_user->ID)) {
                                                                      echo $lesson_single['lesson_content'];
                                                                  } else {
                                                                      if($file_store_status) {
                                                                          esc_html_e('برای دسترسی به محتوای این بخش کافیست وارد سایت شوید.', 'emperor');
                                                                      } else {
                                                                          esc_html_e('برای دسترسی به محتوای این درس کافیست وارد سایت شوید.', 'emperor');
                                                                      }
                                                                  }
                                                              } else {
                                                                  echo $lesson_single['lesson_content'];
                                                              }
                                ?>

                                    </div>
                                </div>


                            <?php endforeach; ?>
                        </div>
                    </div>
                </div>
            </div>

    <?php }

    }

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Lessons());
