<?php

namespace Elementor;

if (!defined('ABSPATH')) exit;

class herowp_Widget_Product_Advice_Btn extends Widget_Base
{

    public function get_name()
    {
        return 'product_advice_btn';
    }

    public function get_title()
    {
        return esc_html__('دکمه مشاوره محصول', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-product-images';
    }

    public function get_categories()
    {
        return ['emperor-product-elements'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'product_advice_section',
            [
                'label' => esc_html__('دکمه مشاوره محصول', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );


        $this->add_control(
            'size',
            [
                'label' => __( 'سایز', 'emperor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '14',
                'selectors' => [
                    '{{WRAPPER}} .product-advice-btn-el a' => 'font-size: {{VALUE}}px !important;',
                ],
            ]
        );


        $this->add_control(
            'color',
            [
                'label' => __( 'رنگ', 'emperor' ),
                'type' => Controls_Manager::COLOR,
                'default' => '#000',
                'selectors' => [
                    '{{WRAPPER}} .product-advice-btn-el a' => 'color: {{VALUE}} !important;',
                ],
            ]
        );

        $this->add_control(
            'bg',
            [
                'label' => __( 'پس زمینه', 'emperor' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'default' => '#fea000',
                'selectors' => [
                    '{{WRAPPER}} .product-advice-btn-el a' => 'background: {{VALUE}} !important;',
                ],
            ]
        );

        $this->add_control(
            'border',
            [
                'label' => __( 'گوشه های گرد px', 'emperor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '5',
                'selectors' => [
                    '{{WRAPPER}} .product-advice-btn-el a' => 'border-radius: {{VALUE}}px !important;',
                ],
            ]
        );

        $this->add_control(
            'padding',
            [
                'label' => __( 'پدینگ px', 'emperor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '5px 8px',
                'selectors' => [
                    '{{WRAPPER}} .product-advice-btn-el a' => 'padding: {{VALUE}} !important;',
                ],
            ]
        );


        $this->end_controls_section();
    }

    protected function render($instance = [])
    {
        ?>

        <div class="product-advice-btn-el">
            <a href="" class="advice-modal-opener">درخواست مشاوره</a>
        </div>

        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Product_Advice_Btn);