<?php

namespace Elementor;

if (!defined('ABSPATH')) exit;

class herowp_Widget_Product_Amazing extends Widget_Base
{

    public function get_name()
    {
        return 'product_amazing';
    }

    public function get_title()
    {
        return esc_html__('پیشنهاد شگفت انگیز', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-product-images';
    }

    public function get_categories()
    {
        return ['emperor-product-elements'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'product_amazing_section',
            [
                'label' => esc_html__('پیشنهاد شگفت انگیز', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );


        $this->add_control(
            'color',
            [
                'label' => __( 'رنگ', 'emperor' ),
                'type' => Controls_Manager::COLOR,
                'default' => '#ea1d21',
                'selectors' => [
                    '{{WRAPPER}} .product-amazing-el .deal-text span' => 'color: {{VALUE}} !important;',
                    '{{WRAPPER}} .product-amazing-el span.countdown-sec span.number' => 'background: {{VALUE}} !important;'
                ],
            ]
        );

        $this->end_controls_section();
    }

    protected function render($instance = [])
    {
        global $product;

        if ($product->is_on_sale()) :
            $time_sale_end = get_post_meta($product->get_id(), '_sale_price_dates_to', true);
        endif;
        ?>

        <div class="product-amazing-el">
            <?php if ($product->is_on_sale() && $time_sale_end) : ?>
                <div class="product-countdown">
                    <div class="deal_timer_single">
                        <div class="deal-text">
                            پیشنهاد<span>شگفت انگیز</span>
                        </div>
                        <div class="countdown-timer-holder-loop">
                            <div class="countdown-item" data-date="<?php echo date('Y-m-d 24:00:00', $time_sale_end); ?>"></div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </div>

        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Product_Amazing);