<?php

namespace Elementor;

if (!defined('ABSPATH')) exit;

class herowp_Widget_Product_Comment_Count extends Widget_Base
{

    public function get_name()
    {
        return 'product_comment_count';
    }

    public function get_title()
    {
        return esc_html__('تعداد دیدگاه محصول', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-product-images';
    }

    public function get_categories()
    {
        return ['emperor-product-elements'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'product_comment_count_section',
            [
                'label' => esc_html__('تعداد دیدگاه محصول', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );


        $this->add_control(
            'size',
            [
                'label' => __('سایز', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '14',
                'selectors' => [
                    '{{WRAPPER}} .product-comment-count-el span' => 'font-size: {{VALUE}}px !important;',
                ],
            ]
        );


        $this->add_control(
            'color',
            [
                'label' => __('رنگ', 'emperor'),
                'type' => Controls_Manager::COLOR,
                'default' => '#7b868a',
                'selectors' => [
                    '{{WRAPPER}} .product-comment-count-el span' => 'color: {{VALUE}} !important;',
                ],
            ]
        );

        $this->add_control(
            'wight',
            [
                'label' => __('ضخامت', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '400',
                'selectors' => [
                    '{{WRAPPER}} .product-comment-count-el span' => 'font-weight: {{VALUE}} !important;',
                ],
            ]
        );

        $this->end_controls_section();
    }

    protected function render($instance = [])
    {
        $review_count = get_comments_number();
        ?>

        <div class="product-comment-count-el">
            <span><?php echo esc_attr($review_count); ?></span>
        </div>

        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Product_Comment_Count);