<?php

namespace Elementor;

if (!defined('ABSPATH')) exit;

class herowp_Widget_Product_Cover extends Widget_Base
{

    public function get_name()
    {
        return 'product_cover';
    }

    public function get_title()
    {
        return esc_html__('کاور محصول', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-product-images';
    }

    public function get_categories()
    {
        return ['emperor-product-elements'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'product_cover_section',
            [
                'label' => esc_html__('کاور محصول', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );


        $this->end_controls_section();
    }

    protected function render($instance = [])
    {
        ?>

        <div class="product-cover-el">
            <div class="course-single-gallery">
                <?php do_action('woocommerce_before_single_product_summary'); ?>
            </div>
        </div>

        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Product_Cover);