<?php

namespace Elementor;

if (!defined('ABSPATH')) exit;

class herowp_Widget_Product_Related extends Widget_Base
{

    public function get_name()
    {
        return 'product_related';
    }

    public function get_title()
    {
        return esc_html__('محصولات مرتبط', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-product-images';
    }

    public function get_categories()
    {
        return ['emperor-product-elements'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'product_related_section',
            [
                'label' => esc_html__('عنوان محصول', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );


        $this->add_control(
            'related_count',
            [
                'label' => __( 'تعداد', 'emperor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '5',
            ]
        );


        $this->end_controls_section();
    }

    protected function render($instance = [])
    {
        $settings = $this->get_settings_for_display();
        global $product;
        $posts_per_page = $settings['related_count'];

        $related = wc_get_related_products($product->get_id(), $posts_per_page);

        if (sizeof($related) == 0) return;

        $args = apply_filters('woocommerce_related_products_args', array(
            'post_type' => 'product',
            'ignore_sticky_posts' => 1,
            'no_found_rows' => 1,
            'posts_per_page' => $posts_per_page,
            'post__in' => $related,
            'post__not_in' => array($product->get_id())
        ));

        $products = new \WP_Query($args);

        ?>

            <?php if ($products->have_posts()) : ?>
                    <div class="product-title-el">
            <div class="product-reviews-inner">
                <div class="products list-view courses-1-columns">

                    <?php while ($products->have_posts()) : $products->the_post(); ?>

                        <?php wc_get_template_part('content-list', 'product'); ?>

                    <?php endwhile; ?>

                </div>
            </div>
        </div>
            <?php endif; ?>

        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Product_Related);