<?php

namespace Elementor;

if (!defined('ABSPATH')) exit;

class herowp_Widget_Product_Seller extends Widget_Base
{

    public function get_name()
    {
        return 'product_seller';
    }

    public function get_title()
    {
        return esc_html__('فروشنده محصول', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-product-images';
    }

    public function get_categories()
    {
        return ['emperor-product-elements'];
    }

    protected function _register_controls()
    {

    }

    protected function render($instance = [])
    {
        global $product;
        $prefix = '_herowp_';
        $teacher_id = get_post_meta(get_the_ID(), $prefix . 'course_teacher', true);

        ?>

        <div class="product-seller-el">
            <?php if (class_exists('WeDevs_Dokan')): ?>
                <?php
                $vendor_id = get_post_field('post_author', $product->get_id());
                $vendor = new WP_User($vendor_id);
                $store_url = dokan_get_store_url($vendor_id);
                $store_user = dokan()->vendor->get(get_query_var('author'));
                ?>
                <div class="course-teacher-details">
                    <div class="top-part">
                        <?php echo get_avatar($vendor->ID, 30); ?>
                        <div class="name">
                            <a href="<?php echo esc_url($store_url); ?>" class="btn-link">
                                <h6><?php echo $vendor->display_name ?></h6></a>

                            <i class="fal fa-store-alt"></i>
                            <span class="job-title">فروشنده</span>

                        </div>
                    </div>
                    <div class="content">
                        <p><?php echo $vendor->user_description; ?></p>
                    </div>
                </div>

            <?php elseif (!empty($teacher_id) && $teacher_id != 'no-teacher') : ?>
                <?php
                $teacher_post = get_post($teacher_id);
                $teacher_job_title = get_post_meta($teacher_id, $prefix . 'teacher_job_title', true);
                ?>
                <div class="course-teacher-details">
                    <div class="top-part">
                        <?php $teacher_image = wp_get_attachment_image_src(get_post_thumbnail_id($teacher_id), 'img-120-120', false); ?>
                        <?php if (!empty($teacher_image[0])): ?>
                            <a href="<?php echo esc_url(get_permalink($teacher_post)); ?>"><img class="img-fluid"
                                                                                                src="<?php echo esc_url($teacher_image[0]); ?>"
                                                                                                alt="<?php echo esc_attr(get_the_title($teacher_id)); ?>"></a>
                        <?php endif; ?>
                        <div class="name">
                            <a href="<?php echo esc_url(get_permalink($teacher_post)); ?>" class="btn-link">
                                <h6><?php echo esc_attr(get_the_title($teacher_id)); ?></h6></a>
                            <?php if (!empty($teacher_job_title)): ?>
                                <span class="job-title"><?php echo esc_attr($teacher_job_title); ?></span>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="content">
                        <p><?php echo esc_attr($teacher_post->post_excerpt); ?></p>
                    </div>
                </div>
            <?php endif; ?>
        </div>

        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Product_Seller);