<?php

namespace Elementor;

if (!defined('ABSPATH')) exit;

class herowp_Widget_Product_Share extends Widget_Base
{

    public function get_name()
    {
        return 'product_share';
    }

    public function get_title()
    {
        return esc_html__('اشتراک گذاری محصول', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-product-images';
    }

    public function get_categories()
    {
        return ['emperor-product-elements'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'product_share_section',
            [
                'label' => esc_html__('اشتراک گذاری محصول', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );


        $this->add_control(
            'color',
            [
                'label' => __( 'رنگ', 'emperor' ),
                'type' => Controls_Manager::COLOR,
                'default' => '#b1bbbf',
                'selectors' => [
                    '{{WRAPPER}} .product-share-el a' => 'color: {{VALUE}} !important;',
                ],
            ]
        );

        $this->end_controls_section();
    }

    protected function render($instance = [])
    {
        ?>

        <div class="product-share-el">
            <?php
                get_template_part('/inc/templates/sharing');
            ?>
        </div>

        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Product_Share);