<?php

namespace Elementor;

if (!defined('ABSPATH')) exit;

class herowp_Widget_Product_Simple_Addtocart extends Widget_Base
{

    public function get_name()
    {
        return 'product_simple_addtocart';
    }

    public function get_title()
    {
        return esc_html__('جعبه افزودن به سبد', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-product-images';
    }

    public function get_categories()
    {
        return ['emperor-product-elements'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'product_simple_addtocart_section',
            [
                'label' => esc_html__('جعبه افزودن به سبد', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );


        $this->add_control(
            'show-wishlist',
            [
                'label' => __('نمایش افزودن به علاقمندی', 'elementor'),
                'type' => Controls_Manager::SWITCHER,
                'label_on' => __('بله', 'elementor'),
                'label_off' => __('خیر', 'elementor'),
                'return_value' => 'yes',
                'default' => 'yes',
            ]
        );

        $this->end_controls_section();
    }

    protected function render($instance = [])
    {
        global $product;

        if (class_exists('Redux')) {
            $course_purchase = herowp_option('course_purchase');
            $course_student_text = herowp_option('course_student_text');
        }

        $settings = $this->get_settings_for_display();
        ?>

        <div class="product-simple-addtocart-el <?php echo $settings['show-wishlist'] === 'yes' ? 'show-wishlist' : '' ?>">
            <div class="product-info-box">
                <?php
                $current_user = wp_get_current_user();
                if (wc_customer_bought_product($current_user->user_email, $current_user->ID, $product->get_id()) && ($course_purchase)) {
                    if (is_plugin_active('skyroom-wp/skyroom.php') && $product->get_type() === 'skyroom') {
                        echo '<a style="color:#fff;" class="purchased-info-box" href="' . home_url('redirect-to-room/' . $product->get_id()) . '" class="button alt">';
                        echo '<i class="fal fa-home-lg-alt"></i>';
                        echo 'ورود به اتاق';
                        echo '</a>';
                    } else {
                        echo '<div class="purchased-info-box">';
                        echo '<i class="fal fa-graduation-cap"></i>';
                        echo($course_student_text);
                        echo '</div>';
                    }
                } else {
                    do_action('woocommerce_single_product_summary');
                }
                ?>
            </div>
        </div>

        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Product_Simple_Addtocart());