<?php

namespace Elementor;

if (!defined('ABSPATH')) exit;

class herowp_Widget_Product_Tag extends Widget_Base
{

    public function get_name()
    {
        return 'product_tag';
    }

    public function get_title()
    {
        return esc_html__('تگ ها محصول', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-product-images';
    }

    public function get_categories()
    {
        return ['emperor-product-elements'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'product_tag_section',
            [
                'label' => esc_html__('تگ ها محصول', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );


        $this->add_control(
            'border',
            [
                'label' => __( 'گوشه های گرد', 'emperor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '5',
                'selectors' => [
                    '{{WRAPPER}} .product-tag-el a' => 'border-radius: {{VALUE}}px !important;',
                ],
            ]
        );

        $this->add_control(
            'size',
            [
                'label' => __( 'سایز', 'emperor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '14',
                'selectors' => [
                    '{{WRAPPER}} .product-tag-el a' => 'font-size: {{VALUE}}px !important;',
                ],
            ]
        );

        $this->add_control(
            'padding',
            [
                'label' => __( 'پدینگ', 'emperor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '5px 5px',
                'selectors' => [
                    '{{WRAPPER}} .product-tag-el a' => 'padding: {{VALUE}} !important;',
                ],
            ]
        );


        $this->add_control(
            'bg',
            [
                'label' => __( 'پس زمینه', 'emperor' ),
                'type' => Controls_Manager::COLOR,
                'default' => '#7f8187',
                'selectors' => [
                    '{{WRAPPER}} .product-tag-el a' => 'background: {{VALUE}} !important;',
                ],
            ]
        );
        $this->add_control(
            'color',
            [
                'label' => __( 'رنگ', 'emperor' ),
                'type' => Controls_Manager::COLOR,
                'default' => '#909aa7',
                'selectors' => [
                    '{{WRAPPER}} .product-tag-el a' => 'color: {{VALUE}} !important;',
                ],
            ]
        );

        $this->end_controls_section();
    }

    protected function render($instance = [])
    {
        global $product;
        ?>

        <div class="product-tag-el">
            <?php echo wc_get_product_tag_list($product->get_id(), '  ', '<div class="product-single-content"><span class="tagged_as"><i class="fal fa-tags"></i>' . _n('Tag:', 'Tags:', count($product->get_tag_ids()), 'woocommerce') . ' ', '</span></div>'); ?>
        </div>

        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Product_Tag);