<?php

namespace Elementor;

if (!defined('ABSPATH')) exit;

class herowp_Widget_Product_Title extends Widget_Base
{

    public function get_name()
    {
        return 'product_title';
    }

    public function get_title()
    {
        return esc_html__('عنوان محصول', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-product-images';
    }

    public function get_categories()
    {
        return ['emperor-product-elements'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'product_title_section',
            [
                'label' => esc_html__('عنوان محصول', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );


        $this->add_control(
            'size',
            [
                'label' => __( 'سایز', 'emperor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '20',
                'selectors' => [
                    '{{WRAPPER}} .product-title-el h1' => 'font-size: {{VALUE}}px !important;',
                ],
            ]
        );


        $this->add_control(
            'color',
            [
                'label' => __( 'رنگ', 'emperor' ),
                'type' => Controls_Manager::COLOR,
                'default' => '#000',
                'selectors' => [
                    '{{WRAPPER}} .product-title-el h1' => 'color: {{VALUE}} !important;',
                ],
            ]
        );

        $this->add_control(
            'wight',
            [
                'label' => __( 'ضخامت', 'emperor' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '400',
                'selectors' => [
                    '{{WRAPPER}} .product-title-el h1' => 'font-weight: {{VALUE}} !important;',
                ],
            ]
        );

        $this->end_controls_section();
    }

    protected function render($instance = [])
    {
        ?>

        <div class="product-title-el">
            <h1><?php echo herowp_page_title(); ?></h1>
        </div>

        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Product_Title);