<?php

namespace Elementor;

if (!defined('ABSPATH')) exit;

class herowp_Widget_Product_view extends Widget_Base
{

    public function get_name()
    {
        return 'product_view';
    }

    public function get_title()
    {
        return esc_html__('تعداد بازدید محصول', 'emperor');
    }

    public function get_icon()
    {
        return 'eicon-product-images';
    }

    public function get_categories()
    {
        return ['emperor-product-elements'];
    }

    protected function _register_controls()
    {
        $this->start_controls_section(
            'product_view_section',
            [
                'label' => esc_html__('تعداد بازدید محصول', 'emperor'),
                'type' => Controls_Manager::SECTION,
            ]
        );


        $this->add_control(
            'size',
            [
                'label' => __('سایز', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '14',
                'selectors' => [
                    '{{WRAPPER}} .product-view-el span' => 'font-size: {{VALUE}}px !important;',
                ],
            ]
        );


        $this->add_control(
            'color',
            [
                'label' => __('رنگ', 'emperor'),
                'type' => Controls_Manager::COLOR,
                'default' => '#7b868a',
                'selectors' => [
                    '{{WRAPPER}} .product-view-el span' => 'color: {{VALUE}} !important;',
                ],
            ]
        );

        $this->add_control(
            'wight',
            [
                'label' => __('ضخامت', 'emperor'),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => '400',
                'selectors' => [
                    '{{WRAPPER}} .product-view-el span' => 'font-weight: {{VALUE}} !important;',
                ],
            ]
        );

        $this->end_controls_section();
    }

    protected function render($instance = [])
    {
        global $post;
        $visitor_count = get_post_meta( $post->ID, '_post_views_count', true);
        if( $visitor_count == '' ){ $visitor_count = 0; }
        if( $visitor_count >= 1000 ){
            $visitor_count = round( ($visitor_count/1000), 2 );
            $visitor_count = $visitor_count.'k';
        }

        ?>

        <div class="product-view-el">
            <span><?php echo esc_attr($visitor_count); ?></span>
        </div>

        <?php
    }
}

Plugin::instance()->widgets_manager->register_widget_type(new herowp_Widget_Product_view);