<?php
/**
 * Template for Single Product on Sie
 */
$course_counters = true;
$course_students = true;

if (class_exists('Redux')) {
    $course_post_share = herowp_option('course_share_story');
    $course_share_text = herowp_option('course_share_text');
    $course_counters = herowp_option('course_counters');
    $course_student_text = herowp_option('course_student_text');
    $course_students = herowp_option('course_students');
    $course_purchase = herowp_option('course_purchase');
    $vip_membership_url = herowp_option('vip_membership_url');
} else {
    $course_post_share = false;
    $course_share_text = '';
}

$student_display = true;
$vip_status = false;

$prefix = '_herowp_';
if (is_plugin_active('restrict-content-pro/restrict-content-pro.php')) {
    $vip_status = get_post_meta(get_the_ID(), $prefix . 'course_vip_access', true);
}

$preview_title = get_post_meta(get_the_ID(), $prefix . 'file_preview_title', true);
$preview_url = get_post_meta(get_the_ID(), $prefix . 'file_preview_url', true);

global $product;

?>



<?php

$current_user = wp_get_current_user();
if (wc_customer_bought_product($current_user->user_email, $current_user->ID, $product->get_id()) && ($course_purchase)) {
    echo ' ';
} else {
    do_action('woocommerce_single_product_countdown');
}

?>

<?php if ($vip_status): ?>

    <div class="vip-header">
        <i class="fal fa-user-crown"></i>
        <span class="title">دسترسی اعضای ویژه</span>
    </div>
    <?php if (rcp_user_has_active_membership()) : ?>
        <p class="description"><i class="far fa-check" style="color: #23b963; font-size: 20px;"></i> شما تا
            تاریخ <?php echo rcp_get_expiration_date() ?> عضو ویژه هستید و دسترسی دارید.</p>
        <a href="#" class="more-membership">شما دسترسی دارید</a>
    <?php else: ?>
        <p class="description"><i class="fal fa-do-not-enter" style="color: #ff4023; font-size: 20px;"></i> برای دسترسی
            باید اشتراک ویژه خود را افزایش دهید.</p>
        <a href="<?php echo esc_url($vip_membership_url) ?>" class="more-membership">افزایش اشتراک</a>
    <?php endif; ?>

<?php else: ?>

    <?php
    $current_user = wp_get_current_user();
    if (wc_customer_bought_product($current_user->user_email, $current_user->ID, $product->get_id()) && ($course_purchase)) {
        echo '<div class="purchased-info-box">';
        echo '<i class="fal fa-graduation-cap"></i>';
        echo($course_student_text);
        echo '</div>';
    } else {
        do_action('woocommerce_single_product_summary');
    }
    ?>


<?php endif; ?>

<?php if ($preview_title): ?>
    <a class="preview-file-btn" href="<?php echo esc_url($preview_url) ?>">
        <i class="fal fa-eye"></i>
        <?php echo esc_html($preview_title) ?>
    </a>
<?php endif; ?>


<div class="statics-file">
    <?php if ($course_students): ?>
        <div class="item">
            <i class="fal fa-shopping-bag"></i>
            <div class="desc">
                <?php
                $count = get_post_meta($post->ID, 'total_sales', true);
        ?>


                <span class="title">تعداد فروش</span>
                <span class="count"><?php echo esc_attr($count) ?></span>
            </div>
        </div>
    <?php endif; ?>

    <?php if ($course_counters): ?>
    <div class="item mx-4">
        <i class="fal fa-comment-lines"></i>
        <div class="desc">
            <span class="title">تعداد دیدگاه</span>
            <span class="count"><?php echo esc_attr(get_comments_number()) ?></span>
        </div>
    </div>
    <div class="item">
        <i class="fal fa-eye"></i>
        <div class="desc">
            <?php
            global $post;
        $visitor_count = get_post_meta($post->ID, '_post_views_count', true);
        if ($visitor_count == '') {
            $visitor_count = 0;
        }
        if ($visitor_count >= 1000) {
            $visitor_count = round(($visitor_count / 1000), 2);
            $visitor_count = $visitor_count . 'k';
        }

        ?>
            <span class="title">تعداد بازدید</span>
            <span class="count"><?php echo esc_attr($visitor_count) ?></span>
        </div>
    </div>
    <?php endif; ?>
</div>

