<?php
/**
 * Template for Single Product on Sie
 */
$course_counters = true;
if (class_exists('Redux')) {
    $course_post_share = herowp_option('course_share_story');
    $course_share_text = herowp_option('course_share_text');
    $course_counters = herowp_option('course_counters');
    $course_student_text = herowp_option('course_student_text');
    $course_purchase = herowp_option('course_purchase');
    $vip_membership_url = herowp_option('vip_membership_url');
} else {
    $course_post_share = false;
    $course_share_text = '';
}

$student_display = true;
$vip_status = false;

$prefix = '_herowp_';
if (is_plugin_active('restrict-content-pro/restrict-content-pro.php')) {
    $vip_status = get_post_meta(get_the_ID(), $prefix . 'course_vip_access', true);
}

global $product;
$downloads = array();
$user_id = get_current_user_id();
$downloads = wc_get_customer_available_downloads($user_id);
?>

<?php

$current_user = wp_get_current_user();
if (wc_customer_bought_product($current_user->user_email, $current_user->ID, $product->get_id()) && ($course_purchase)) {
    echo ' ';
} else {
    do_action('woocommerce_single_product_countdown');
}

?>

<?php if ($vip_status): ?>
    <div class="product-info-box course-vip-box">
        <div class="header">
            <i class="fal fa-user-crown"></i>
            <span class="title">دسترسی اعضای ویژه</span>
        </div>
        <?php if (rcp_user_has_active_membership()) : ?>
            <p class="description"><i class="far fa-check" style="color: #23b963; font-size: 20px;"></i> شما تا تاریخ  <?php echo rcp_get_expiration_date() ?> عضو ویژه هستید و دسترسی دارید.</p>
            <a href="#" class="more-membership">شما دسترسی دارید</a>
        <?php else: ?>
            <p class="description"><i class="fal fa-do-not-enter" style="color: #ff4023; font-size: 20px;"></i> برای دسترسی باید اشتراک ویژه خود را افزایش دهید.</p>
            <a href="<?php echo esc_url($vip_membership_url) ?>" class="more-membership">افزایش اشتراک</a>
        <?php endif; ?>
    </div>
<?php else: ?>
    <div class="product-info-box">
        <?php
        $current_user = wp_get_current_user();
    if (wc_customer_bought_product($current_user->user_email, $current_user->ID, $product->get_id()) && ($course_purchase)) {
        if (is_plugin_active('skyroom-wp/skyroom.php') && $product->get_type() === 'skyroom') {
            echo '<a style="color:#fff;" class="purchased-info-box" href="' . home_url('redirect-to-room/' . $product->get_id()) . '" class="button alt">';
            echo '<i class="fal fa-home-lg-alt"></i>';
            echo 'ورود به اتاق';
            echo '</a>';
        } else {
            echo '<div class="purchased-info-box">';
            echo '<i class="fal fa-graduation-cap"></i>';
            echo($course_student_text);
            echo '</div>';
        }
    } else {
        global $product;
        wc_get_template('single-product/price.php');
        do_action('woocommerce_' . $product->get_type() . '_add_to_cart');
        do_action('woocommerce_single_product_summary_wishlist');
    }

    ?>
    </div>
<?php endif; ?>

<?php if ($vip_status): ?>
    <?php if (rcp_user_has_active_membership()): ?>
        <ul class="wcdlar_download_list produc-page">
            <li>
                <?php echo '<a href="#" class="title">دریافت فایل ها<span class="arrow"></span></a>'; ?>
                <div class="sub_items">
                    <table>
                        <?php foreach ($downloads as $download) : ?>
                            <?php if ($download['product_id'] === $product->get_id()) : ?>
                                <tr>
                                    <td><?php echo '<a href="' . $download['download_url'] . '" class="download-btns-product-page"><i class="fal fa-download"></i> ' . $download ['file']['name'] . ' </a>'; ?></td>
                                </tr>
                            <?php endif; ?>
                        <?php endforeach; ?>
                    </table>
                </div>
            </li>
        </ul>
    <?php endif; ?>
<?php else: ?>
    <?php if (wc_customer_bought_product($current_user->user_email, $current_user->ID, $product->get_id())) : ?>
        <ul class="wcdlar_download_list produc-page">
            <li>
                <?php echo '<a href="#" class="title">دریافت فایل ها<span class="arrow"></span></a>'; ?>
                <div class="sub_items">
                    <table>
                        <?php foreach ($downloads as $download) : ?>
                            <?php if ($download['product_id'] === $product->get_id()) : ?>
                                <tr>
                                    <td><?php echo '<a href="' . $download['download_url'] . '" class="download-btns-product-page"><i class="fal fa-download"></i> ' . $download ['file']['name'] . ' </a>'; ?></td>
                                </tr>
                            <?php endif; ?>
                        <?php endforeach; ?>
                    </table>
                </div>
            </li>
        </ul>
    <?php endif; ?>
<?php endif; ?>

<?php if ($course_counters) : ?>
    <?php wc_get_template_part('content', 'single-product-counter'); ?>
<?php endif; ?>

<?php dynamic_sidebar('course_page_mobile'); ?>
