<?php
/**
 * Simple product add to cart
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/add-to-cart/simple.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 7.0.1
 */

if (! defined('ABSPATH')) {
    exit;
}

global $product;

if (! $product->is_purchasable()) {
    return;
}

echo wc_get_stock_html($product);

$prefix = '_herowp_';

$woo_herowp_btn_link = get_post_meta(get_the_id(), $prefix . 'woo_course_url', true);
$woo_herowp_btn_label = get_post_meta(get_the_id(), $prefix . 'woo_course_label', true); ?>

<?php if ((empty($woo_herowp_btn_label)) && (empty($woo_herowp_btn_link))) :

    if ($product->is_in_stock()) : ?>

		<?php do_action('woocommerce_before_add_to_cart_form'); ?>

        <form class="cart" method="post" enctype='multipart/form-data'>
			<?php
            /**
             * @since 2.1.0.
             */
            do_action('woocommerce_before_add_to_cart_button');

        /**
         * @since 3.0.0.
         */
        do_action('woocommerce_before_add_to_cart_quantity');

        woocommerce_quantity_input(array(
            'min_value'   => apply_filters('woocommerce_quantity_input_min', 1, $product),
            'max_value'   => apply_filters('woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product),
            'input_value' => isset($_POST['quantity']) ? wc_stock_amount($_POST['quantity']) : $product->get_min_purchase_quantity(),
        ));

        /**
         * @since 3.0.0.
         */
        do_action('woocommerce_after_add_to_cart_quantity');
        ?>

            <button type="submit" name="add-to-cart" value="<?php echo esc_attr($product->get_id()); ?>" class="single_add_to_cart_button button alt"><?php echo esc_html($product->single_add_to_cart_text()); ?></button>

			<?php
        /**
         * @since 2.1.0.
         */
        do_action('woocommerce_after_add_to_cart_button');
        ?>
        </form>

		<?php do_action('woocommerce_after_add_to_cart_form'); ?>

	<?php endif; ?>

<?php else: ?>
    <a href="<?php echo esc_url($woo_herowp_btn_link) ?>" class="single_add_to_cart_button single_add_to_cart_button_link button alt"><?php echo esc_attr($woo_herowp_btn_label); ?></a>
<?php endif; ?>
